import{s as af,n as rf,o as gf}from"../chunks/scheduler.6062bdaf.js";import{S as sf,i as of,g,s as i,r as l,A as lf,h as s,f as t,c as r,j as h,u,x as _,k as d,y as o,a,v as m,d as p,t as c,w as f}from"../chunks/index.4bca734e.js";import{D as b}from"../chunks/Docstring.ed07512f.js";import{H as $}from"../chunks/Heading.723dceba.js";function uf(np){let v,Zr,qr,Mr,mt,Rr,pt,ap=`This page lists the types (e.g. dataclasses) available for each task supported on the Hugging Face Hub.
Each task is specified using a JSON schema, and the types are generated from these schemas - with some customization
due to Python requirements.
Visit <a href="https://github.com/huggingface/huggingface.js/tree/main/packages/tasks/src/tasks" rel="nofollow">@huggingface.js/tasks</a>
to find the JSON schemas for each task.`,Br,ct,ip="This part of the lib is still under development and will be improved in future releases.",Fr,ft,Hr,x,ht,pu,Wa,rp="Inputs for Audio Classification inference",Ur,C,dt,cu,Ka,gp="Outputs for Audio Classification inference",Jr,y,bt,fu,Xa,sp=`Additional inference parameters
Additional inference parameters for Audio Classification`,Wr,_t,Kr,I,$t,hu,Ya,op="Inputs for Audio to Audio inference",Xr,O,vt,du,ei,lp=`Outputs of inference for the Audio To Audio task
A generated audio file with its label.`,Yr,xt,eg,w,Ct,bu,ti,up=`Parametrization of the text generation process
Ad-hoc parametrization of the text generation process`,tg,T,yt,_u,ni,mp="Inputs for Automatic Speech Recognition inference",ng,D,It,$u,ai,pp="Outputs of inference for the Automatic Speech Recognition task",ag,Ot,wt,ig,A,Tt,vu,ii,cp=`Additional inference parameters
Additional inference parameters for Automatic Speech Recognition`,rg,Dt,gg,N,At,xu,ri,fp="Inputs for ChatCompletion inference",sg,Nt,Pt,og,P,Et,Cu,gi,hp="Outputs for Chat Completion inference",lg,kt,Vt,ug,Lt,St,mg,E,zt,yu,si,dp="Chat Completion Stream Output",pg,Gt,jt,cg,k,qt,Iu,oi,bp="A chat completion delta generated by streamed model responses.",fg,Qt,hg,V,Zt,Ou,li,_p="Inputs for Depth Estimation inference",dg,L,Mt,wu,ui,$p="Outputs of inference for the Depth Estimation task",bg,Rt,_g,S,Bt,Tu,mi,vp="Inputs for Document Question Answering inference",$g,z,Ft,Du,pi,xp="One (document, question) pair to answer",vg,G,Ht,Au,ci,Cp="Outputs of inference for the Document Question Answering task",xg,j,Ut,Nu,fi,yp=`Additional inference parameters
Additional inference parameters for Document Question Answering`,Cg,Jt,yg,q,Wt,Pu,hi,Ip="Inputs for Text Embedding inference",Ig,Kt,Og,Q,Xt,Eu,di,Op="Inputs for Fill Mask inference",wg,Z,Yt,ku,bi,wp="Outputs of inference for the Fill Mask task",Tg,M,en,Vu,_i,Tp=`Additional inference parameters
Additional inference parameters for Fill Mask`,Dg,tn,Ag,R,nn,Lu,$i,Dp="Inputs for Image Classification inference",Ng,B,an,Su,vi,Ap="Outputs of inference for the Image Classification task",Pg,F,rn,zu,xi,Np=`Additional inference parameters
Additional inference parameters for Image Classification`,Eg,gn,kg,H,sn,Gu,Ci,Pp="Inputs for Image Segmentation inference",Vg,U,on,ju,yi,Ep=`Outputs of inference for the Image Segmentation task
A predicted mask / segment`,Lg,J,ln,qu,Ii,kp=`Additional inference parameters
Additional inference parameters for Image Segmentation`,Sg,un,zg,W,mn,Qu,Oi,Vp="Inputs for Image To Image inference",Gg,K,pn,Zu,wi,Lp="Outputs of inference for the Image To Image task",jg,X,cn,Mu,Ti,Sp=`Additional inference parameters
Additional inference parameters for Image To Image`,qg,Y,fn,Ru,Di,zp="The size in pixel of the output image",Qg,hn,Zg,ee,dn,Bu,Ai,Gp=`Parametrization of the text generation process
Ad-hoc parametrization of the text generation process`,Mg,te,bn,Fu,Ni,jp="Inputs for Image To Text inference",Rg,ne,_n,Hu,Pi,qp="Outputs of inference for the Image To Text task",Bg,ae,$n,Uu,Ei,Qp=`Additional inference parameters
Additional inference parameters for Image To Text`,Fg,vn,Hg,ie,xn,Ju,ki,Zp=`The predicted bounding box. Coordinates are relative to the top left corner of the input
image.`,Ug,re,Cn,Wu,Vi,Mp="Inputs for Object Detection inference",Jg,ge,yn,Ku,Li,Rp="Outputs of inference for the Object Detection task",Wg,se,In,Xu,Si,Bp=`Additional inference parameters
Additional inference parameters for Object Detection`,Kg,On,Xg,oe,wn,Yu,zi,Fp="Inputs for Question Answering inference",Yg,le,Tn,em,Gi,Hp="One (context, question) pair to answer",es,ue,Dn,tm,ji,Up="Outputs of inference for the Question Answering task",ts,me,An,nm,qi,Jp=`Additional inference parameters
Additional inference parameters for Question Answering`,ns,Nn,as,pe,Pn,am,Qi,Wp="Inputs for Sentence similarity inference",is,En,kn,rs,Vn,gs,ce,Ln,im,Zi,Kp=`Additional inference parameters
Additional inference parameters for Text2text Generation`,ss,fe,Sn,rm,Mi,Xp=`Inputs for Summarization inference
Inputs for Text2text Generation inference`,os,he,zn,gm,Ri,Yp="Outputs of inference for the Summarization task",ls,Gn,us,de,jn,sm,Bi,ec="Inputs for Table Question Answering inference",ms,be,qn,om,Fi,tc="One (table, question) pair to answer",ps,_e,Qn,lm,Hi,nc="Outputs of inference for the Table Question Answering task",cs,Zn,fs,$e,Mn,um,Ui,ac="Inputs for Text2text Generation inference",hs,ve,Rn,mm,Ji,ic="Outputs of inference for the Text2text Generation task",ds,xe,Bn,pm,Wi,rc=`Additional inference parameters
Additional inference parameters for Text2text Generation`,bs,Fn,_s,Ce,Hn,cm,Ki,gc="Inputs for Text Classification inference",$s,ye,Un,fm,Xi,sc="Outputs of inference for the Text Classification task",vs,Ie,Jn,hm,Yi,oc=`Additional inference parameters
Additional inference parameters for Text Classification`,xs,Wn,Cs,Oe,Kn,dm,er,lc="Inputs for Text Generation inference",ys,we,Xn,bm,tr,uc="Outputs for Text Generation inference",Is,Te,Yn,_m,nr,mc="When enabled, details about the generation",Os,ea,ta,ws,De,na,$m,ar,pc="Generated token.",Ts,Ae,aa,vm,ir,cc=`Additional inference parameters
Additional inference parameters for Text Generation`,Ds,ia,ra,As,Ne,ga,xm,rr,fc="Generation details. Only available when the generation is finished.",Ns,Pe,sa,Cm,gr,hc="Text Generation Stream Output",Ps,oa,Es,Ee,la,ym,sr,dc=`Parametrization of the text generation process
Ad-hoc parametrization of the text generation process`,ks,ke,ua,Im,or,bc="Inputs for Text To Audio inference",Vs,Ve,ma,Om,lr,_c="Outputs of inference for the Text To Audio task",Ls,Le,pa,wm,ur,$c=`Additional inference parameters
Additional inference parameters for Text To Audio`,Ss,ca,zs,Se,fa,Tm,mr,vc="Inputs for Text To Image inference",Gs,ze,ha,Dm,pr,xc="Outputs of inference for the Text To Image task",js,Ge,da,Am,cr,Cc=`Additional inference parameters
Additional inference parameters for Text To Image`,qs,je,ba,Nm,fr,yc="The size in pixel of the output image",Qs,_a,Zs,qe,$a,Pm,hr,Ic="Inputs for Token Classification inference",Ms,Qe,va,Em,dr,Oc="Outputs of inference for the Token Classification task",Rs,Ze,xa,km,br,wc=`Additional inference parameters
Additional inference parameters for Token Classification`,Bs,Ca,Fs,Me,ya,Vm,_r,Tc=`Additional inference parameters
Additional inference parameters for Text2text Generation`,Hs,Re,Ia,Lm,$r,Dc=`Inputs for Translation inference
Inputs for Text2text Generation inference`,Us,Be,Oa,Sm,vr,Ac="Outputs of inference for the Translation task",Js,wa,Ws,Fe,Ta,zm,xr,Nc="Inputs for Video Classification inference",Ks,He,Da,Gm,Cr,Pc="Outputs of inference for the Video Classification task",Xs,Ue,Aa,jm,yr,Ec=`Additional inference parameters
Additional inference parameters for Video Classification`,Ys,Na,eo,Je,Pa,qm,Ir,kc="Inputs for Visual Question Answering inference",to,We,Ea,Qm,Or,Vc="One (image, question) pair to answer",no,Ke,ka,Zm,wr,Lc="Outputs of inference for the Visual Question Answering task",ao,Xe,Va,Mm,Tr,Sc=`Additional inference parameters
Additional inference parameters for Visual Question Answering`,io,La,ro,Ye,Sa,Rm,Dr,zc="Inputs for Zero Shot Classification inference",go,et,za,Bm,Ar,Gc="The input text data, with candidate labels",so,tt,Ga,Fm,Nr,jc="Outputs of inference for the Zero Shot Classification task",oo,nt,ja,Hm,Pr,qc=`Additional inference parameters
Additional inference parameters for Zero Shot Classification`,lo,qa,uo,at,Qa,Um,Er,Qc="Inputs for Zero Shot Image Classification inference",mo,it,Za,Jm,kr,Zc="The input image data, with candidate labels",po,rt,Ma,Wm,Vr,Mc="Outputs of inference for the Zero Shot Image Classification task",co,gt,Ra,Km,Lr,Rc=`Additional inference parameters
Additional inference parameters for Zero Shot Image Classification`,fo,Ba,ho,st,Fa,Xm,Sr,Bc=`The predicted bounding box. Coordinates are relative to the top left corner of the input
image.`,bo,ot,Ha,Ym,zr,Fc="Inputs for Zero Shot Object Detection inference",_o,lt,Ua,ep,Gr,Hc="The input image data, with candidate labels",$o,ut,Ja,tp,jr,Uc="Outputs of inference for the Zero Shot Object Detection task",vo,Qr,xo;return mt=new $({props:{title:"Inference types",local:"inference-types",headingTag:"h1"}}),ft=new $({props:{title:"audio_classification",local:"huggingface_hub.AudioClassificationInput",headingTag:"h2"}}),ht=new b({props:{name:"class huggingface_hub.AudioClassificationInput",anchor:"huggingface_hub.AudioClassificationInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/audio_classification.py#L26"}}),dt=new b({props:{name:"class huggingface_hub.AudioClassificationOutputElement",anchor:"huggingface_hub.AudioClassificationOutputElement",parameters:[{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/audio_classification.py#L36"}}),bt=new b({props:{name:"class huggingface_hub.AudioClassificationParameters",anchor:"huggingface_hub.AudioClassificationParameters",parameters:[{name:"function_to_apply",val:": Optional = None"},{name:"top_k",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/audio_classification.py#L15"}}),_t=new $({props:{title:"audio_to_audio",local:"huggingface_hub.AudioToAudioInput",headingTag:"h2"}}),$t=new b({props:{name:"class huggingface_hub.AudioToAudioInput",anchor:"huggingface_hub.AudioToAudioInput",parameters:[{name:"inputs",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/audio_to_audio.py#L12"}}),vt=new b({props:{name:"class huggingface_hub.AudioToAudioOutputElement",anchor:"huggingface_hub.AudioToAudioOutputElement",parameters:[{name:"blob",val:": Any"},{name:"content_type",val:": str"},{name:"label",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/audio_to_audio.py#L20"}}),xt=new $({props:{title:"automatic_speech_recognition",local:"huggingface_hub.AutomaticSpeechRecognitionGenerationParameters",headingTag:"h2"}}),Ct=new b({props:{name:"class huggingface_hub.AutomaticSpeechRecognitionGenerationParameters",anchor:"huggingface_hub.AutomaticSpeechRecognitionGenerationParameters",parameters:[{name:"do_sample",val:": Optional = None"},{name:"early_stopping",val:": Union = None"},{name:"epsilon_cutoff",val:": Optional = None"},{name:"eta_cutoff",val:": Optional = None"},{name:"max_length",val:": Optional = None"},{name:"max_new_tokens",val:": Optional = None"},{name:"min_length",val:": Optional = None"},{name:"min_new_tokens",val:": Optional = None"},{name:"num_beam_groups",val:": Optional = None"},{name:"num_beams",val:": Optional = None"},{name:"penalty_alpha",val:": Optional = None"},{name:"temperature",val:": Optional = None"},{name:"top_k",val:": Optional = None"},{name:"top_p",val:": Optional = None"},{name:"typical_p",val:": Optional = None"},{name:"use_cache",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/automatic_speech_recognition.py#L15"}}),yt=new b({props:{name:"class huggingface_hub.AutomaticSpeechRecognitionInput",anchor:"huggingface_hub.AutomaticSpeechRecognitionInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/automatic_speech_recognition.py#L89"}}),It=new b({props:{name:"class huggingface_hub.AutomaticSpeechRecognitionOutput",anchor:"huggingface_hub.AutomaticSpeechRecognitionOutput",parameters:[{name:"text",val:": str"},{name:"chunks",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/automatic_speech_recognition.py#L107"}}),wt=new b({props:{name:"class huggingface_hub.AutomaticSpeechRecognitionOutputChunk",anchor:"huggingface_hub.AutomaticSpeechRecognitionOutputChunk",parameters:[{name:"text",val:": str"},{name:"timestamps",val:": List"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/automatic_speech_recognition.py#L99"}}),Tt=new b({props:{name:"class huggingface_hub.AutomaticSpeechRecognitionParameters",anchor:"huggingface_hub.AutomaticSpeechRecognitionParameters",parameters:[{name:"generate",val:": Optional = None"},{name:"return_timestamps",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/automatic_speech_recognition.py#L77"}}),Dt=new $({props:{title:"chat_completion",local:"huggingface_hub.ChatCompletionInput",headingTag:"h2"}}),At=new b({props:{name:"class huggingface_hub.ChatCompletionInput",anchor:"huggingface_hub.ChatCompletionInput",parameters:[{name:"messages",val:": List"},{name:"frequency_penalty",val:": Optional = None"},{name:"max_tokens",val:": Optional = None"},{name:"seed",val:": Optional = None"},{name:"stop",val:": Union = None"},{name:"stream",val:": Optional = None"},{name:"temperature",val:": Optional = None"},{name:"top_p",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/chat_completion.py#L22"}}),Pt=new b({props:{name:"class huggingface_hub.ChatCompletionInputMessage",anchor:"huggingface_hub.ChatCompletionInputMessage",parameters:[{name:"content",val:": str"},{name:"role",val:": ChatCompletionMessageRole"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/chat_completion.py#L15"}}),Et=new b({props:{name:"class huggingface_hub.ChatCompletionOutput",anchor:"huggingface_hub.ChatCompletionOutput",parameters:[{name:"choices",val:": List"},{name:"created",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/chat_completion.py#L67"}}),Vt=new b({props:{name:"class huggingface_hub.ChatCompletionOutputChoice",anchor:"huggingface_hub.ChatCompletionOutputChoice",parameters:[{name:"finish_reason",val:": ChatCompletionFinishReason"},{name:"index",val:": int"},{name:"message",val:": ChatCompletionOutputChoiceMessage"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/chat_completion.py#L58"}}),St=new b({props:{name:"class huggingface_hub.ChatCompletionOutputChoiceMessage",anchor:"huggingface_hub.ChatCompletionOutputChoiceMessage",parameters:[{name:"content",val:": str"},{name:"role",val:": ChatCompletionMessageRole"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/chat_completion.py#L51"}}),zt=new b({props:{name:"class huggingface_hub.ChatCompletionStreamOutput",anchor:"huggingface_hub.ChatCompletionStreamOutput",parameters:[{name:"choices",val:": List"},{name:"created",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/chat_completion.py#L97"}}),jt=new b({props:{name:"class huggingface_hub.ChatCompletionStreamOutputChoice",anchor:"huggingface_hub.ChatCompletionStreamOutputChoice",parameters:[{name:"delta",val:": ChatCompletionStreamOutputDelta"},{name:"index",val:": int"},{name:"finish_reason",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/chat_completion.py#L87"}}),qt=new b({props:{name:"class huggingface_hub.ChatCompletionStreamOutputDelta",anchor:"huggingface_hub.ChatCompletionStreamOutputDelta",parameters:[{name:"content",val:": Optional = None"},{name:"role",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/chat_completion.py#L77"}}),Qt=new $({props:{title:"depth_estimation",local:"huggingface_hub.DepthEstimationInput",headingTag:"h2"}}),Zt=new b({props:{name:"class huggingface_hub.DepthEstimationInput",anchor:"huggingface_hub.DepthEstimationInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/depth_estimation.py#L12"}}),Mt=new b({props:{name:"class huggingface_hub.DepthEstimationOutput",anchor:"huggingface_hub.DepthEstimationOutput",parameters:[{name:"depth",val:": Any"},{name:"predicted_depth",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/depth_estimation.py#L22"}}),Rt=new $({props:{title:"document_question_answering",local:"huggingface_hub.DocumentQuestionAnsweringInput",headingTag:"h2"}}),Bt=new b({props:{name:"class huggingface_hub.DocumentQuestionAnsweringInput",anchor:"huggingface_hub.DocumentQuestionAnsweringInput",parameters:[{name:"inputs",val:": DocumentQuestionAnsweringInputData"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/document_question_answering.py#L58"}}),Ft=new b({props:{name:"class huggingface_hub.DocumentQuestionAnsweringInputData",anchor:"huggingface_hub.DocumentQuestionAnsweringInputData",parameters:[{name:"image",val:": Any"},{name:"question",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/document_question_answering.py#L12"}}),Ht=new b({props:{name:"class huggingface_hub.DocumentQuestionAnsweringOutputElement",anchor:"huggingface_hub.DocumentQuestionAnsweringOutputElement",parameters:[{name:"answer",val:": str"},{name:"end",val:": int"},{name:"score",val:": float"},{name:"start",val:": int"},{name:"words",val:": List"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/document_question_answering.py#L68"}}),Ut=new b({props:{name:"class huggingface_hub.DocumentQuestionAnsweringParameters",anchor:"huggingface_hub.DocumentQuestionAnsweringParameters",parameters:[{name:"doc_stride",val:": Optional = None"},{name:"handle_impossible_answer",val:": Optional = None"},{name:"lang",val:": Optional = None"},{name:"max_answer_len",val:": Optional = None"},{name:"max_question_len",val:": Optional = None"},{name:"max_seq_len",val:": Optional = None"},{name:"top_k",val:": Optional = None"},{name:"word_boxes",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/document_question_answering.py#L22"}}),Jt=new $({props:{title:"feature_extraction",local:"huggingface_hub.FeatureExtractionInput",headingTag:"h2"}}),Wt=new b({props:{name:"class huggingface_hub.FeatureExtractionInput",anchor:"huggingface_hub.FeatureExtractionInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/feature_extraction.py#L12"}}),Kt=new $({props:{title:"fill_mask",local:"huggingface_hub.FillMaskInput",headingTag:"h2"}}),Xt=new b({props:{name:"class huggingface_hub.FillMaskInput",anchor:"huggingface_hub.FillMaskInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/fill_mask.py#L28"}}),Yt=new b({props:{name:"class huggingface_hub.FillMaskOutputElement",anchor:"huggingface_hub.FillMaskOutputElement",parameters:[{name:"score",val:": float"},{name:"sequence",val:": str"},{name:"token",val:": int"},{name:"token_str",val:": Any"},{name:"fill_mask_output_token_str",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/fill_mask.py#L38"}}),en=new b({props:{name:"class huggingface_hub.FillMaskParameters",anchor:"huggingface_hub.FillMaskParameters",parameters:[{name:"targets",val:": Optional = None"},{name:"top_k",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/fill_mask.py#L12"}}),tn=new $({props:{title:"image_classification",local:"huggingface_hub.ImageClassificationInput",headingTag:"h2"}}),nn=new b({props:{name:"class huggingface_hub.ImageClassificationInput",anchor:"huggingface_hub.ImageClassificationInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_classification.py#L26"}}),an=new b({props:{name:"class huggingface_hub.ImageClassificationOutputElement",anchor:"huggingface_hub.ImageClassificationOutputElement",parameters:[{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_classification.py#L36"}}),rn=new b({props:{name:"class huggingface_hub.ImageClassificationParameters",anchor:"huggingface_hub.ImageClassificationParameters",parameters:[{name:"function_to_apply",val:": Optional = None"},{name:"top_k",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_classification.py#L15"}}),gn=new $({props:{title:"image_segmentation",local:"huggingface_hub.ImageSegmentationInput",headingTag:"h2"}}),sn=new b({props:{name:"class huggingface_hub.ImageSegmentationInput",anchor:"huggingface_hub.ImageSegmentationInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_segmentation.py#L31"}}),on=new b({props:{name:"class huggingface_hub.ImageSegmentationOutputElement",anchor:"huggingface_hub.ImageSegmentationOutputElement",parameters:[{name:"label",val:": str"},{name:"mask",val:": Any"},{name:"score",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_segmentation.py#L41"}}),ln=new b({props:{name:"class huggingface_hub.ImageSegmentationParameters",anchor:"huggingface_hub.ImageSegmentationParameters",parameters:[{name:"mask_threshold",val:": Optional = None"},{name:"overlap_mask_area_threshold",val:": Optional = None"},{name:"subtask",val:": Optional = None"},{name:"threshold",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_segmentation.py#L15"}}),un=new $({props:{title:"image_to_image",local:"huggingface_hub.ImageToImageInput",headingTag:"h2"}}),mn=new b({props:{name:"class huggingface_hub.ImageToImageInput",anchor:"huggingface_hub.ImageToImageInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_to_image.py#L40"}}),pn=new b({props:{name:"class huggingface_hub.ImageToImageOutput",anchor:"huggingface_hub.ImageToImageOutput",parameters:[{name:"image",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_to_image.py#L50"}}),cn=new b({props:{name:"class huggingface_hub.ImageToImageParameters",anchor:"huggingface_hub.ImageToImageParameters",parameters:[{name:"guidance_scale",val:": Optional = None"},{name:"negative_prompt",val:": Optional = None"},{name:"num_inference_steps",val:": Optional = None"},{name:"target_size",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_to_image.py#L20"}}),fn=new b({props:{name:"class huggingface_hub.ImageToImageTargetSize",anchor:"huggingface_hub.ImageToImageTargetSize",parameters:[{name:"height",val:": int"},{name:"width",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_to_image.py#L12"}}),hn=new $({props:{title:"image_to_text",local:"huggingface_hub.ImageToTextGenerationParameters",headingTag:"h2"}}),dn=new b({props:{name:"class huggingface_hub.ImageToTextGenerationParameters",anchor:"huggingface_hub.ImageToTextGenerationParameters",parameters:[{name:"do_sample",val:": Optional = None"},{name:"early_stopping",val:": Union = None"},{name:"epsilon_cutoff",val:": Optional = None"},{name:"eta_cutoff",val:": Optional = None"},{name:"max_length",val:": Optional = None"},{name:"max_new_tokens",val:": Optional = None"},{name:"min_length",val:": Optional = None"},{name:"min_new_tokens",val:": Optional = None"},{name:"num_beam_groups",val:": Optional = None"},{name:"num_beams",val:": Optional = None"},{name:"penalty_alpha",val:": Optional = None"},{name:"temperature",val:": Optional = None"},{name:"top_k",val:": Optional = None"},{name:"top_p",val:": Optional = None"},{name:"typical_p",val:": Optional = None"},{name:"use_cache",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_to_text.py#L15"}}),bn=new b({props:{name:"class huggingface_hub.ImageToTextInput",anchor:"huggingface_hub.ImageToTextInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_to_text.py#L89"}}),_n=new b({props:{name:"class huggingface_hub.ImageToTextOutput",anchor:"huggingface_hub.ImageToTextOutput",parameters:[{name:"generated_text",val:": Any"},{name:"image_to_text_output_generated_text",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_to_text.py#L99"}}),$n=new b({props:{name:"class huggingface_hub.ImageToTextParameters",anchor:"huggingface_hub.ImageToTextParameters",parameters:[{name:"generate",val:": Optional = None"},{name:"max_new_tokens",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_to_text.py#L77"}}),vn=new $({props:{title:"object_detection",local:"huggingface_hub.ObjectDetectionBoundingBox",headingTag:"h2"}}),xn=new b({props:{name:"class huggingface_hub.ObjectDetectionBoundingBox",anchor:"huggingface_hub.ObjectDetectionBoundingBox",parameters:[{name:"xmax",val:": int"},{name:"xmin",val:": int"},{name:"ymax",val:": int"},{name:"ymin",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/object_detection.py#L32"}}),Cn=new b({props:{name:"class huggingface_hub.ObjectDetectionInput",anchor:"huggingface_hub.ObjectDetectionInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/object_detection.py#L22"}}),yn=new b({props:{name:"class huggingface_hub.ObjectDetectionOutputElement",anchor:"huggingface_hub.ObjectDetectionOutputElement",parameters:[{name:"box",val:": ObjectDetectionBoundingBox"},{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/object_detection.py#L44"}}),In=new b({props:{name:"class huggingface_hub.ObjectDetectionParameters",anchor:"huggingface_hub.ObjectDetectionParameters",parameters:[{name:"threshold",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/object_detection.py#L12"}}),On=new $({props:{title:"question_answering",local:"huggingface_hub.QuestionAnsweringInput",headingTag:"h2"}}),wn=new b({props:{name:"class huggingface_hub.QuestionAnsweringInput",anchor:"huggingface_hub.QuestionAnsweringInput",parameters:[{name:"inputs",val:": QuestionAnsweringInputData"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/question_answering.py#L56"}}),Tn=new b({props:{name:"class huggingface_hub.QuestionAnsweringInputData",anchor:"huggingface_hub.QuestionAnsweringInputData",parameters:[{name:"context",val:": str"},{name:"question",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/question_answering.py#L12"}}),Dn=new b({props:{name:"class huggingface_hub.QuestionAnsweringOutputElement",anchor:"huggingface_hub.QuestionAnsweringOutputElement",parameters:[{name:"answer",val:": str"},{name:"end",val:": int"},{name:"score",val:": float"},{name:"start",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/question_answering.py#L66"}}),An=new b({props:{name:"class huggingface_hub.QuestionAnsweringParameters",anchor:"huggingface_hub.QuestionAnsweringParameters",parameters:[{name:"align_to_words",val:": Optional = None"},{name:"doc_stride",val:": Optional = None"},{name:"handle_impossible_answer",val:": Optional = None"},{name:"max_answer_len",val:": Optional = None"},{name:"max_question_len",val:": Optional = None"},{name:"max_seq_len",val:": Optional = None"},{name:"top_k",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/question_answering.py#L22"}}),Nn=new $({props:{title:"sentence_similarity",local:"huggingface_hub.SentenceSimilarityInput",headingTag:"h2"}}),Pn=new b({props:{name:"class huggingface_hub.SentenceSimilarityInput",anchor:"huggingface_hub.SentenceSimilarityInput",parameters:[{name:"inputs",val:": SentenceSimilarityInputData"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/sentence_similarity.py#L22"}}),kn=new b({props:{name:"class huggingface_hub.SentenceSimilarityInputData",anchor:"huggingface_hub.SentenceSimilarityInputData",parameters:[{name:"sentences",val:": List"},{name:"source_sentence",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/sentence_similarity.py#L12"}}),Vn=new $({props:{title:"summarization",local:"huggingface_hub.SummarizationGenerationParameters",headingTag:"h2"}}),Ln=new b({props:{name:"class huggingface_hub.SummarizationGenerationParameters",anchor:"huggingface_hub.SummarizationGenerationParameters",parameters:[{name:"clean_up_tokenization_spaces",val:": Optional = None"},{name:"generate_parameters",val:": Optional = None"},{name:"truncation",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/summarization.py#L15"}}),Sn=new b({props:{name:"class huggingface_hub.SummarizationInput",anchor:"huggingface_hub.SummarizationInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/summarization.py#L29"}}),zn=new b({props:{name:"class huggingface_hub.SummarizationOutput",anchor:"huggingface_hub.SummarizationOutput",parameters:[{name:"summary_text",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/summarization.py#L41"}}),Gn=new $({props:{title:"table_question_answering",local:"huggingface_hub.TableQuestionAnsweringInput",headingTag:"h2"}}),jn=new b({props:{name:"class huggingface_hub.TableQuestionAnsweringInput",anchor:"huggingface_hub.TableQuestionAnsweringInput",parameters:[{name:"inputs",val:": TableQuestionAnsweringInputData"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/table_question_answering.py#L22"}}),qn=new b({props:{name:"class huggingface_hub.TableQuestionAnsweringInputData",anchor:"huggingface_hub.TableQuestionAnsweringInputData",parameters:[{name:"question",val:": str"},{name:"table",val:": Dict"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/table_question_answering.py#L12"}}),Qn=new b({props:{name:"class huggingface_hub.TableQuestionAnsweringOutputElement",anchor:"huggingface_hub.TableQuestionAnsweringOutputElement",parameters:[{name:"answer",val:": str"},{name:"cells",val:": List"},{name:"coordinates",val:": List"},{name:"aggregator",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/table_question_answering.py#L32"}}),Zn=new $({props:{title:"text2text_generation",local:"huggingface_hub.Text2TextGenerationInput",headingTag:"h2"}}),Mn=new b({props:{name:"class huggingface_hub.Text2TextGenerationInput",anchor:"huggingface_hub.Text2TextGenerationInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text2text_generation.py#L29"}}),Rn=new b({props:{name:"class huggingface_hub.Text2TextGenerationOutput",anchor:"huggingface_hub.Text2TextGenerationOutput",parameters:[{name:"generated_text",val:": Any"},{name:"text2_text_generation_output_generated_text",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text2text_generation.py#L39"}}),Bn=new b({props:{name:"class huggingface_hub.Text2TextGenerationParameters",anchor:"huggingface_hub.Text2TextGenerationParameters",parameters:[{name:"clean_up_tokenization_spaces",val:": Optional = None"},{name:"generate_parameters",val:": Optional = None"},{name:"truncation",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text2text_generation.py#L15"}}),Fn=new $({props:{title:"text_classification",local:"huggingface_hub.TextClassificationInput",headingTag:"h2"}}),Hn=new b({props:{name:"class huggingface_hub.TextClassificationInput",anchor:"huggingface_hub.TextClassificationInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_classification.py#L26"}}),Un=new b({props:{name:"class huggingface_hub.TextClassificationOutputElement",anchor:"huggingface_hub.TextClassificationOutputElement",parameters:[{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_classification.py#L36"}}),Jn=new b({props:{name:"class huggingface_hub.TextClassificationParameters",anchor:"huggingface_hub.TextClassificationParameters",parameters:[{name:"function_to_apply",val:": Optional = None"},{name:"top_k",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_classification.py#L15"}}),Wn=new $({props:{title:"text_generation",local:"huggingface_hub.TextGenerationInput",headingTag:"h2"}}),Kn=new b({props:{name:"class huggingface_hub.TextGenerationInput",anchor:"huggingface_hub.TextGenerationInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional = None"},{name:"stream",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_generation.py#L58"}}),Xn=new b({props:{name:"class huggingface_hub.TextGenerationOutput",anchor:"huggingface_hub.TextGenerationOutput",parameters:[{name:"generated_text",val:": str"},{name:"details",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_generation.py#L128"}}),Yn=new b({props:{name:"class huggingface_hub.TextGenerationOutputDetails",anchor:"huggingface_hub.TextGenerationOutputDetails",parameters:[{name:"finish_reason",val:": TextGenerationFinishReason"},{name:"generated_tokens",val:": int"},{name:"prefill",val:": List"},{name:"tokens",val:": List"},{name:"best_of_sequences",val:": Optional = None"},{name:"seed",val:": Optional = None"},{name:"top_tokens",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_generation.py#L109"}}),ta=new b({props:{name:"class huggingface_hub.TextGenerationOutputSequenceDetails",anchor:"huggingface_hub.TextGenerationOutputSequenceDetails",parameters:[{name:"finish_reason",val:": TextGenerationFinishReason"},{name:"generated_text",val:": str"},{name:"generated_tokens",val:": int"},{name:"prefill",val:": List"},{name:"tokens",val:": List"},{name:"seed",val:": Optional = None"},{name:"top_tokens",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_generation.py#L93"}}),na=new b({props:{name:"class huggingface_hub.TextGenerationOutputToken",anchor:"huggingface_hub.TextGenerationOutputToken",parameters:[{name:"id",val:": int"},{name:"special",val:": bool"},{name:"text",val:": str"},{name:"logprob",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_generation.py#L81"}}),aa=new b({props:{name:"class huggingface_hub.TextGenerationParameters",anchor:"huggingface_hub.TextGenerationParameters",parameters:[{name:"best_of",val:": Optional = None"},{name:"decoder_input_details",val:": Optional = None"},{name:"details",val:": Optional = None"},{name:"do_sample",val:": Optional = None"},{name:"max_new_tokens",val:": Optional = None"},{name:"repetition_penalty",val:": Optional = None"},{name:"return_full_text",val:": Optional = None"},{name:"seed",val:": Optional = None"},{name:"stop_sequences",val:": Optional = None"},{name:"temperature",val:": Optional = None"},{name:"top_k",val:": Optional = None"},{name:"top_p",val:": Optional = None"},{name:"truncate",val:": Optional = None"},{name:"typical_p",val:": Optional = None"},{name:"watermark",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_generation.py#L12"}}),ra=new b({props:{name:"class huggingface_hub.TextGenerationPrefillToken",anchor:"huggingface_hub.TextGenerationPrefillToken",parameters:[{name:"id",val:": int"},{name:"logprob",val:": float"},{name:"text",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_generation.py#L73"}}),ga=new b({props:{name:"class huggingface_hub.TextGenerationStreamDetails",anchor:"huggingface_hub.TextGenerationStreamDetails",parameters:[{name:"finish_reason",val:": TextGenerationFinishReason"},{name:"generated_tokens",val:": int"},{name:"seed",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_generation.py#L138"}}),sa=new b({props:{name:"class huggingface_hub.TextGenerationStreamOutput",anchor:"huggingface_hub.TextGenerationStreamOutput",parameters:[{name:"token",val:": TextGenerationOutputToken"},{name:"details",val:": Optional = None"},{name:"generated_text",val:": Optional = None"},{name:"index",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_generation.py#L150"}}),oa=new $({props:{title:"text_to_audio",local:"huggingface_hub.TextToAudioGenerationParameters",headingTag:"h2"}}),la=new b({props:{name:"class huggingface_hub.TextToAudioGenerationParameters",anchor:"huggingface_hub.TextToAudioGenerationParameters",parameters:[{name:"do_sample",val:": Optional = None"},{name:"early_stopping",val:": Union = None"},{name:"epsilon_cutoff",val:": Optional = None"},{name:"eta_cutoff",val:": Optional = None"},{name:"max_length",val:": Optional = None"},{name:"max_new_tokens",val:": Optional = None"},{name:"min_length",val:": Optional = None"},{name:"min_new_tokens",val:": Optional = None"},{name:"num_beam_groups",val:": Optional = None"},{name:"num_beams",val:": Optional = None"},{name:"penalty_alpha",val:": Optional = None"},{name:"temperature",val:": Optional = None"},{name:"top_k",val:": Optional = None"},{name:"top_p",val:": Optional = None"},{name:"typical_p",val:": Optional = None"},{name:"use_cache",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_to_audio.py#L15"}}),ua=new b({props:{name:"class huggingface_hub.TextToAudioInput",anchor:"huggingface_hub.TextToAudioInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_to_audio.py#L87"}}),ma=new b({props:{name:"class huggingface_hub.TextToAudioOutput",anchor:"huggingface_hub.TextToAudioOutput",parameters:[{name:"audio",val:": Any"},{name:"sampling_rate",val:": Any"},{name:"text_to_audio_output_sampling_rate",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_to_audio.py#L97"}}),pa=new b({props:{name:"class huggingface_hub.TextToAudioParameters",anchor:"huggingface_hub.TextToAudioParameters",parameters:[{name:"generate",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_to_audio.py#L77"}}),ca=new $({props:{title:"text_to_image",local:"huggingface_hub.TextToImageInput",headingTag:"h2"}}),fa=new b({props:{name:"class huggingface_hub.TextToImageInput",anchor:"huggingface_hub.TextToImageInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_to_image.py#L42"}}),ha=new b({props:{name:"class huggingface_hub.TextToImageOutput",anchor:"huggingface_hub.TextToImageOutput",parameters:[{name:"image",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_to_image.py#L52"}}),da=new b({props:{name:"class huggingface_hub.TextToImageParameters",anchor:"huggingface_hub.TextToImageParameters",parameters:[{name:"guidance_scale",val:": Optional = None"},{name:"negative_prompt",val:": Optional = None"},{name:"num_inference_steps",val:": Optional = None"},{name:"scheduler",val:": Optional = None"},{name:"target_size",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_to_image.py#L20"}}),ba=new b({props:{name:"class huggingface_hub.TextToImageTargetSize",anchor:"huggingface_hub.TextToImageTargetSize",parameters:[{name:"height",val:": int"},{name:"width",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_to_image.py#L12"}}),_a=new $({props:{title:"token_classification",local:"huggingface_hub.TokenClassificationInput",headingTag:"h2"}}),$a=new b({props:{name:"class huggingface_hub.TokenClassificationInput",anchor:"huggingface_hub.TokenClassificationInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/token_classification.py#L29"}}),va=new b({props:{name:"class huggingface_hub.TokenClassificationOutputElement",anchor:"huggingface_hub.TokenClassificationOutputElement",parameters:[{name:"label",val:": Any"},{name:"score",val:": float"},{name:"end",val:": Optional = None"},{name:"entity_group",val:": Optional = None"},{name:"start",val:": Optional = None"},{name:"word",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/token_classification.py#L39"}}),xa=new b({props:{name:"class huggingface_hub.TokenClassificationParameters",anchor:"huggingface_hub.TokenClassificationParameters",parameters:[{name:"aggregation_strategy",val:": Optional = None"},{name:"ignore_labels",val:": Optional = None"},{name:"stride",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/token_classification.py#L15"}}),Ca=new $({props:{title:"translation",local:"huggingface_hub.TranslationGenerationParameters",headingTag:"h2"}}),ya=new b({props:{name:"class huggingface_hub.TranslationGenerationParameters",anchor:"huggingface_hub.TranslationGenerationParameters",parameters:[{name:"clean_up_tokenization_spaces",val:": Optional = None"},{name:"generate_parameters",val:": Optional = None"},{name:"truncation",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/translation.py#L15"}}),Ia=new b({props:{name:"class huggingface_hub.TranslationInput",anchor:"huggingface_hub.TranslationInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/translation.py#L29"}}),Oa=new b({props:{name:"class huggingface_hub.TranslationOutput",anchor:"huggingface_hub.TranslationOutput",parameters:[{name:"translation_text",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/translation.py#L41"}}),wa=new $({props:{title:"video_classification",local:"huggingface_hub.VideoClassificationInput",headingTag:"h2"}}),Ta=new b({props:{name:"class huggingface_hub.VideoClassificationInput",anchor:"huggingface_hub.VideoClassificationInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/video_classification.py#L30"}}),Da=new b({props:{name:"class huggingface_hub.VideoClassificationOutputElement",anchor:"huggingface_hub.VideoClassificationOutputElement",parameters:[{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/video_classification.py#L40"}}),Aa=new b({props:{name:"class huggingface_hub.VideoClassificationParameters",anchor:"huggingface_hub.VideoClassificationParameters",parameters:[{name:"frame_sampling_rate",val:": Optional = None"},{name:"function_to_apply",val:": Optional = None"},{name:"num_frames",val:": Optional = None"},{name:"top_k",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/video_classification.py#L15"}}),Na=new $({props:{title:"visual_question_answering",local:"huggingface_hub.VisualQuestionAnsweringInput",headingTag:"h2"}}),Pa=new b({props:{name:"class huggingface_hub.VisualQuestionAnsweringInput",anchor:"huggingface_hub.VisualQuestionAnsweringInput",parameters:[{name:"inputs",val:": VisualQuestionAnsweringInputData"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/visual_question_answering.py#L35"}}),Ea=new b({props:{name:"class huggingface_hub.VisualQuestionAnsweringInputData",anchor:"huggingface_hub.VisualQuestionAnsweringInputData",parameters:[{name:"image",val:": Any"},{name:"question",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/visual_question_answering.py#L12"}}),ka=new b({props:{name:"class huggingface_hub.VisualQuestionAnsweringOutputElement",anchor:"huggingface_hub.VisualQuestionAnsweringOutputElement",parameters:[{name:"label",val:": Any"},{name:"score",val:": float"},{name:"answer",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/visual_question_answering.py#L45"}}),Va=new b({props:{name:"class huggingface_hub.VisualQuestionAnsweringParameters",anchor:"huggingface_hub.VisualQuestionAnsweringParameters",parameters:[{name:"top_k",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/visual_question_answering.py#L22"}}),La=new $({props:{title:"zero_shot_classification",local:"huggingface_hub.ZeroShotClassificationInput",headingTag:"h2"}}),Sa=new b({props:{name:"class huggingface_hub.ZeroShotClassificationInput",anchor:"huggingface_hub.ZeroShotClassificationInput",parameters:[{name:"inputs",val:": ZeroShotClassificationInputData"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_classification.py#L39"}}),za=new b({props:{name:"class huggingface_hub.ZeroShotClassificationInputData",anchor:"huggingface_hub.ZeroShotClassificationInputData",parameters:[{name:"candidate_labels",val:": List"},{name:"text",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_classification.py#L12"}}),Ga=new b({props:{name:"class huggingface_hub.ZeroShotClassificationOutputElement",anchor:"huggingface_hub.ZeroShotClassificationOutputElement",parameters:[{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_classification.py#L49"}}),ja=new b({props:{name:"class huggingface_hub.ZeroShotClassificationParameters",anchor:"huggingface_hub.ZeroShotClassificationParameters",parameters:[{name:"hypothesis_template",val:": Optional = None"},{name:"multi_label",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_classification.py#L22"}}),qa=new $({props:{title:"zero_shot_image_classification",local:"huggingface_hub.ZeroShotImageClassificationInput",headingTag:"h2"}}),Qa=new b({props:{name:"class huggingface_hub.ZeroShotImageClassificationInput",anchor:"huggingface_hub.ZeroShotImageClassificationInput",parameters:[{name:"inputs",val:": ZeroShotImageClassificationInputData"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_image_classification.py#L34"}}),Za=new b({props:{name:"class huggingface_hub.ZeroShotImageClassificationInputData",anchor:"huggingface_hub.ZeroShotImageClassificationInputData",parameters:[{name:"candidate_labels",val:": List"},{name:"image",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_image_classification.py#L12"}}),Ma=new b({props:{name:"class huggingface_hub.ZeroShotImageClassificationOutputElement",anchor:"huggingface_hub.ZeroShotImageClassificationOutputElement",parameters:[{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_image_classification.py#L44"}}),Ra=new b({props:{name:"class huggingface_hub.ZeroShotImageClassificationParameters",anchor:"huggingface_hub.ZeroShotImageClassificationParameters",parameters:[{name:"hypothesis_template",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_image_classification.py#L22"}}),Ba=new $({props:{title:"zero_shot_object_detection",local:"huggingface_hub.ZeroShotObjectDetectionBoundingBox",headingTag:"h2"}}),Fa=new b({props:{name:"class huggingface_hub.ZeroShotObjectDetectionBoundingBox",anchor:"huggingface_hub.ZeroShotObjectDetectionBoundingBox",parameters:[{name:"xmax",val:": int"},{name:"xmin",val:": int"},{name:"ymax",val:": int"},{name:"ymin",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_object_detection.py#L32"}}),Ha=new b({props:{name:"class huggingface_hub.ZeroShotObjectDetectionInput",anchor:"huggingface_hub.ZeroShotObjectDetectionInput",parameters:[{name:"inputs",val:": ZeroShotObjectDetectionInputData"},{name:"parameters",val:": Optional = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_object_detection.py#L22"}}),Ua=new b({props:{name:"class huggingface_hub.ZeroShotObjectDetectionInputData",anchor:"huggingface_hub.ZeroShotObjectDetectionInputData",parameters:[{name:"candidate_labels",val:": List"},{name:"image",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_object_detection.py#L12"}}),Ja=new b({props:{name:"class huggingface_hub.ZeroShotObjectDetectionOutputElement",anchor:"huggingface_hub.ZeroShotObjectDetectionOutputElement",parameters:[{name:"box",val:": ZeroShotObjectDetectionBoundingBox"},{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_object_detection.py#L44"}}),{c(){v=g("meta"),Zr=i(),qr=g("p"),Mr=i(),l(mt.$$.fragment),Rr=i(),pt=g("p"),pt.innerHTML=ap,Br=i(),ct=g("p"),ct.textContent=ip,Fr=i(),l(ft.$$.fragment),Hr=i(),x=g("div"),l(ht.$$.fragment),pu=i(),Wa=g("p"),Wa.textContent=rp,Ur=i(),C=g("div"),l(dt.$$.fragment),cu=i(),Ka=g("p"),Ka.textContent=gp,Jr=i(),y=g("div"),l(bt.$$.fragment),fu=i(),Xa=g("p"),Xa.textContent=sp,Wr=i(),l(_t.$$.fragment),Kr=i(),I=g("div"),l($t.$$.fragment),hu=i(),Ya=g("p"),Ya.textContent=op,Xr=i(),O=g("div"),l(vt.$$.fragment),du=i(),ei=g("p"),ei.textContent=lp,Yr=i(),l(xt.$$.fragment),eg=i(),w=g("div"),l(Ct.$$.fragment),bu=i(),ti=g("p"),ti.textContent=up,tg=i(),T=g("div"),l(yt.$$.fragment),_u=i(),ni=g("p"),ni.textContent=mp,ng=i(),D=g("div"),l(It.$$.fragment),$u=i(),ai=g("p"),ai.textContent=pp,ag=i(),Ot=g("div"),l(wt.$$.fragment),ig=i(),A=g("div"),l(Tt.$$.fragment),vu=i(),ii=g("p"),ii.textContent=cp,rg=i(),l(Dt.$$.fragment),gg=i(),N=g("div"),l(At.$$.fragment),xu=i(),ri=g("p"),ri.textContent=fp,sg=i(),Nt=g("div"),l(Pt.$$.fragment),og=i(),P=g("div"),l(Et.$$.fragment),Cu=i(),gi=g("p"),gi.textContent=hp,lg=i(),kt=g("div"),l(Vt.$$.fragment),ug=i(),Lt=g("div"),l(St.$$.fragment),mg=i(),E=g("div"),l(zt.$$.fragment),yu=i(),si=g("p"),si.textContent=dp,pg=i(),Gt=g("div"),l(jt.$$.fragment),cg=i(),k=g("div"),l(qt.$$.fragment),Iu=i(),oi=g("p"),oi.textContent=bp,fg=i(),l(Qt.$$.fragment),hg=i(),V=g("div"),l(Zt.$$.fragment),Ou=i(),li=g("p"),li.textContent=_p,dg=i(),L=g("div"),l(Mt.$$.fragment),wu=i(),ui=g("p"),ui.textContent=$p,bg=i(),l(Rt.$$.fragment),_g=i(),S=g("div"),l(Bt.$$.fragment),Tu=i(),mi=g("p"),mi.textContent=vp,$g=i(),z=g("div"),l(Ft.$$.fragment),Du=i(),pi=g("p"),pi.textContent=xp,vg=i(),G=g("div"),l(Ht.$$.fragment),Au=i(),ci=g("p"),ci.textContent=Cp,xg=i(),j=g("div"),l(Ut.$$.fragment),Nu=i(),fi=g("p"),fi.textContent=yp,Cg=i(),l(Jt.$$.fragment),yg=i(),q=g("div"),l(Wt.$$.fragment),Pu=i(),hi=g("p"),hi.textContent=Ip,Ig=i(),l(Kt.$$.fragment),Og=i(),Q=g("div"),l(Xt.$$.fragment),Eu=i(),di=g("p"),di.textContent=Op,wg=i(),Z=g("div"),l(Yt.$$.fragment),ku=i(),bi=g("p"),bi.textContent=wp,Tg=i(),M=g("div"),l(en.$$.fragment),Vu=i(),_i=g("p"),_i.textContent=Tp,Dg=i(),l(tn.$$.fragment),Ag=i(),R=g("div"),l(nn.$$.fragment),Lu=i(),$i=g("p"),$i.textContent=Dp,Ng=i(),B=g("div"),l(an.$$.fragment),Su=i(),vi=g("p"),vi.textContent=Ap,Pg=i(),F=g("div"),l(rn.$$.fragment),zu=i(),xi=g("p"),xi.textContent=Np,Eg=i(),l(gn.$$.fragment),kg=i(),H=g("div"),l(sn.$$.fragment),Gu=i(),Ci=g("p"),Ci.textContent=Pp,Vg=i(),U=g("div"),l(on.$$.fragment),ju=i(),yi=g("p"),yi.textContent=Ep,Lg=i(),J=g("div"),l(ln.$$.fragment),qu=i(),Ii=g("p"),Ii.textContent=kp,Sg=i(),l(un.$$.fragment),zg=i(),W=g("div"),l(mn.$$.fragment),Qu=i(),Oi=g("p"),Oi.textContent=Vp,Gg=i(),K=g("div"),l(pn.$$.fragment),Zu=i(),wi=g("p"),wi.textContent=Lp,jg=i(),X=g("div"),l(cn.$$.fragment),Mu=i(),Ti=g("p"),Ti.textContent=Sp,qg=i(),Y=g("div"),l(fn.$$.fragment),Ru=i(),Di=g("p"),Di.textContent=zp,Qg=i(),l(hn.$$.fragment),Zg=i(),ee=g("div"),l(dn.$$.fragment),Bu=i(),Ai=g("p"),Ai.textContent=Gp,Mg=i(),te=g("div"),l(bn.$$.fragment),Fu=i(),Ni=g("p"),Ni.textContent=jp,Rg=i(),ne=g("div"),l(_n.$$.fragment),Hu=i(),Pi=g("p"),Pi.textContent=qp,Bg=i(),ae=g("div"),l($n.$$.fragment),Uu=i(),Ei=g("p"),Ei.textContent=Qp,Fg=i(),l(vn.$$.fragment),Hg=i(),ie=g("div"),l(xn.$$.fragment),Ju=i(),ki=g("p"),ki.textContent=Zp,Ug=i(),re=g("div"),l(Cn.$$.fragment),Wu=i(),Vi=g("p"),Vi.textContent=Mp,Jg=i(),ge=g("div"),l(yn.$$.fragment),Ku=i(),Li=g("p"),Li.textContent=Rp,Wg=i(),se=g("div"),l(In.$$.fragment),Xu=i(),Si=g("p"),Si.textContent=Bp,Kg=i(),l(On.$$.fragment),Xg=i(),oe=g("div"),l(wn.$$.fragment),Yu=i(),zi=g("p"),zi.textContent=Fp,Yg=i(),le=g("div"),l(Tn.$$.fragment),em=i(),Gi=g("p"),Gi.textContent=Hp,es=i(),ue=g("div"),l(Dn.$$.fragment),tm=i(),ji=g("p"),ji.textContent=Up,ts=i(),me=g("div"),l(An.$$.fragment),nm=i(),qi=g("p"),qi.textContent=Jp,ns=i(),l(Nn.$$.fragment),as=i(),pe=g("div"),l(Pn.$$.fragment),am=i(),Qi=g("p"),Qi.textContent=Wp,is=i(),En=g("div"),l(kn.$$.fragment),rs=i(),l(Vn.$$.fragment),gs=i(),ce=g("div"),l(Ln.$$.fragment),im=i(),Zi=g("p"),Zi.textContent=Kp,ss=i(),fe=g("div"),l(Sn.$$.fragment),rm=i(),Mi=g("p"),Mi.textContent=Xp,os=i(),he=g("div"),l(zn.$$.fragment),gm=i(),Ri=g("p"),Ri.textContent=Yp,ls=i(),l(Gn.$$.fragment),us=i(),de=g("div"),l(jn.$$.fragment),sm=i(),Bi=g("p"),Bi.textContent=ec,ms=i(),be=g("div"),l(qn.$$.fragment),om=i(),Fi=g("p"),Fi.textContent=tc,ps=i(),_e=g("div"),l(Qn.$$.fragment),lm=i(),Hi=g("p"),Hi.textContent=nc,cs=i(),l(Zn.$$.fragment),fs=i(),$e=g("div"),l(Mn.$$.fragment),um=i(),Ui=g("p"),Ui.textContent=ac,hs=i(),ve=g("div"),l(Rn.$$.fragment),mm=i(),Ji=g("p"),Ji.textContent=ic,ds=i(),xe=g("div"),l(Bn.$$.fragment),pm=i(),Wi=g("p"),Wi.textContent=rc,bs=i(),l(Fn.$$.fragment),_s=i(),Ce=g("div"),l(Hn.$$.fragment),cm=i(),Ki=g("p"),Ki.textContent=gc,$s=i(),ye=g("div"),l(Un.$$.fragment),fm=i(),Xi=g("p"),Xi.textContent=sc,vs=i(),Ie=g("div"),l(Jn.$$.fragment),hm=i(),Yi=g("p"),Yi.textContent=oc,xs=i(),l(Wn.$$.fragment),Cs=i(),Oe=g("div"),l(Kn.$$.fragment),dm=i(),er=g("p"),er.textContent=lc,ys=i(),we=g("div"),l(Xn.$$.fragment),bm=i(),tr=g("p"),tr.textContent=uc,Is=i(),Te=g("div"),l(Yn.$$.fragment),_m=i(),nr=g("p"),nr.textContent=mc,Os=i(),ea=g("div"),l(ta.$$.fragment),ws=i(),De=g("div"),l(na.$$.fragment),$m=i(),ar=g("p"),ar.textContent=pc,Ts=i(),Ae=g("div"),l(aa.$$.fragment),vm=i(),ir=g("p"),ir.textContent=cc,Ds=i(),ia=g("div"),l(ra.$$.fragment),As=i(),Ne=g("div"),l(ga.$$.fragment),xm=i(),rr=g("p"),rr.textContent=fc,Ns=i(),Pe=g("div"),l(sa.$$.fragment),Cm=i(),gr=g("p"),gr.textContent=hc,Ps=i(),l(oa.$$.fragment),Es=i(),Ee=g("div"),l(la.$$.fragment),ym=i(),sr=g("p"),sr.textContent=dc,ks=i(),ke=g("div"),l(ua.$$.fragment),Im=i(),or=g("p"),or.textContent=bc,Vs=i(),Ve=g("div"),l(ma.$$.fragment),Om=i(),lr=g("p"),lr.textContent=_c,Ls=i(),Le=g("div"),l(pa.$$.fragment),wm=i(),ur=g("p"),ur.textContent=$c,Ss=i(),l(ca.$$.fragment),zs=i(),Se=g("div"),l(fa.$$.fragment),Tm=i(),mr=g("p"),mr.textContent=vc,Gs=i(),ze=g("div"),l(ha.$$.fragment),Dm=i(),pr=g("p"),pr.textContent=xc,js=i(),Ge=g("div"),l(da.$$.fragment),Am=i(),cr=g("p"),cr.textContent=Cc,qs=i(),je=g("div"),l(ba.$$.fragment),Nm=i(),fr=g("p"),fr.textContent=yc,Qs=i(),l(_a.$$.fragment),Zs=i(),qe=g("div"),l($a.$$.fragment),Pm=i(),hr=g("p"),hr.textContent=Ic,Ms=i(),Qe=g("div"),l(va.$$.fragment),Em=i(),dr=g("p"),dr.textContent=Oc,Rs=i(),Ze=g("div"),l(xa.$$.fragment),km=i(),br=g("p"),br.textContent=wc,Bs=i(),l(Ca.$$.fragment),Fs=i(),Me=g("div"),l(ya.$$.fragment),Vm=i(),_r=g("p"),_r.textContent=Tc,Hs=i(),Re=g("div"),l(Ia.$$.fragment),Lm=i(),$r=g("p"),$r.textContent=Dc,Us=i(),Be=g("div"),l(Oa.$$.fragment),Sm=i(),vr=g("p"),vr.textContent=Ac,Js=i(),l(wa.$$.fragment),Ws=i(),Fe=g("div"),l(Ta.$$.fragment),zm=i(),xr=g("p"),xr.textContent=Nc,Ks=i(),He=g("div"),l(Da.$$.fragment),Gm=i(),Cr=g("p"),Cr.textContent=Pc,Xs=i(),Ue=g("div"),l(Aa.$$.fragment),jm=i(),yr=g("p"),yr.textContent=Ec,Ys=i(),l(Na.$$.fragment),eo=i(),Je=g("div"),l(Pa.$$.fragment),qm=i(),Ir=g("p"),Ir.textContent=kc,to=i(),We=g("div"),l(Ea.$$.fragment),Qm=i(),Or=g("p"),Or.textContent=Vc,no=i(),Ke=g("div"),l(ka.$$.fragment),Zm=i(),wr=g("p"),wr.textContent=Lc,ao=i(),Xe=g("div"),l(Va.$$.fragment),Mm=i(),Tr=g("p"),Tr.textContent=Sc,io=i(),l(La.$$.fragment),ro=i(),Ye=g("div"),l(Sa.$$.fragment),Rm=i(),Dr=g("p"),Dr.textContent=zc,go=i(),et=g("div"),l(za.$$.fragment),Bm=i(),Ar=g("p"),Ar.textContent=Gc,so=i(),tt=g("div"),l(Ga.$$.fragment),Fm=i(),Nr=g("p"),Nr.textContent=jc,oo=i(),nt=g("div"),l(ja.$$.fragment),Hm=i(),Pr=g("p"),Pr.textContent=qc,lo=i(),l(qa.$$.fragment),uo=i(),at=g("div"),l(Qa.$$.fragment),Um=i(),Er=g("p"),Er.textContent=Qc,mo=i(),it=g("div"),l(Za.$$.fragment),Jm=i(),kr=g("p"),kr.textContent=Zc,po=i(),rt=g("div"),l(Ma.$$.fragment),Wm=i(),Vr=g("p"),Vr.textContent=Mc,co=i(),gt=g("div"),l(Ra.$$.fragment),Km=i(),Lr=g("p"),Lr.textContent=Rc,fo=i(),l(Ba.$$.fragment),ho=i(),st=g("div"),l(Fa.$$.fragment),Xm=i(),Sr=g("p"),Sr.textContent=Bc,bo=i(),ot=g("div"),l(Ha.$$.fragment),Ym=i(),zr=g("p"),zr.textContent=Fc,_o=i(),lt=g("div"),l(Ua.$$.fragment),ep=i(),Gr=g("p"),Gr.textContent=Hc,$o=i(),ut=g("div"),l(Ja.$$.fragment),tp=i(),jr=g("p"),jr.textContent=Uc,vo=i(),Qr=g("p"),this.h()},l(e){const n=lf("svelte-u9bgzb",document.head);v=s(n,"META",{name:!0,content:!0}),n.forEach(t),Zr=r(e),qr=s(e,"P",{}),h(qr).forEach(t),Mr=r(e),u(mt.$$.fragment,e),Rr=r(e),pt=s(e,"P",{"data-svelte-h":!0}),_(pt)!=="svelte-r4x4e"&&(pt.innerHTML=ap),Br=r(e),ct=s(e,"P",{"data-svelte-h":!0}),_(ct)!=="svelte-gyywd9"&&(ct.textContent=ip),Fr=r(e),u(ft.$$.fragment,e),Hr=r(e),x=s(e,"DIV",{class:!0});var Co=h(x);u(ht.$$.fragment,Co),pu=r(Co),Wa=s(Co,"P",{"data-svelte-h":!0}),_(Wa)!=="svelte-1tm0kun"&&(Wa.textContent=rp),Co.forEach(t),Ur=r(e),C=s(e,"DIV",{class:!0});var yo=h(C);u(dt.$$.fragment,yo),cu=r(yo),Ka=s(yo,"P",{"data-svelte-h":!0}),_(Ka)!=="svelte-11s5lc2"&&(Ka.textContent=gp),yo.forEach(t),Jr=r(e),y=s(e,"DIV",{class:!0});var Io=h(y);u(bt.$$.fragment,Io),fu=r(Io),Xa=s(Io,"P",{"data-svelte-h":!0}),_(Xa)!=="svelte-mp4myj"&&(Xa.textContent=sp),Io.forEach(t),Wr=r(e),u(_t.$$.fragment,e),Kr=r(e),I=s(e,"DIV",{class:!0});var Oo=h(I);u($t.$$.fragment,Oo),hu=r(Oo),Ya=s(Oo,"P",{"data-svelte-h":!0}),_(Ya)!=="svelte-1k3oi3o"&&(Ya.textContent=op),Oo.forEach(t),Xr=r(e),O=s(e,"DIV",{class:!0});var wo=h(O);u(vt.$$.fragment,wo),du=r(wo),ei=s(wo,"P",{"data-svelte-h":!0}),_(ei)!=="svelte-1d3vk90"&&(ei.textContent=lp),wo.forEach(t),Yr=r(e),u(xt.$$.fragment,e),eg=r(e),w=s(e,"DIV",{class:!0});var To=h(w);u(Ct.$$.fragment,To),bu=r(To),ti=s(To,"P",{"data-svelte-h":!0}),_(ti)!=="svelte-a7ph4"&&(ti.textContent=up),To.forEach(t),tg=r(e),T=s(e,"DIV",{class:!0});var Do=h(T);u(yt.$$.fragment,Do),_u=r(Do),ni=s(Do,"P",{"data-svelte-h":!0}),_(ni)!=="svelte-1dxxfth"&&(ni.textContent=mp),Do.forEach(t),ng=r(e),D=s(e,"DIV",{class:!0});var Ao=h(D);u(It.$$.fragment,Ao),$u=r(Ao),ai=s(Ao,"P",{"data-svelte-h":!0}),_(ai)!=="svelte-5n6yyz"&&(ai.textContent=pp),Ao.forEach(t),ag=r(e),Ot=s(e,"DIV",{class:!0});var Jc=h(Ot);u(wt.$$.fragment,Jc),Jc.forEach(t),ig=r(e),A=s(e,"DIV",{class:!0});var No=h(A);u(Tt.$$.fragment,No),vu=r(No),ii=s(No,"P",{"data-svelte-h":!0}),_(ii)!=="svelte-38lu6p"&&(ii.textContent=cp),No.forEach(t),rg=r(e),u(Dt.$$.fragment,e),gg=r(e),N=s(e,"DIV",{class:!0});var Po=h(N);u(At.$$.fragment,Po),xu=r(Po),ri=s(Po,"P",{"data-svelte-h":!0}),_(ri)!=="svelte-88i2dx"&&(ri.textContent=fp),Po.forEach(t),sg=r(e),Nt=s(e,"DIV",{class:!0});var Wc=h(Nt);u(Pt.$$.fragment,Wc),Wc.forEach(t),og=r(e),P=s(e,"DIV",{class:!0});var Eo=h(P);u(Et.$$.fragment,Eo),Cu=r(Eo),gi=s(Eo,"P",{"data-svelte-h":!0}),_(gi)!=="svelte-1an6wm"&&(gi.textContent=hp),Eo.forEach(t),lg=r(e),kt=s(e,"DIV",{class:!0});var Kc=h(kt);u(Vt.$$.fragment,Kc),Kc.forEach(t),ug=r(e),Lt=s(e,"DIV",{class:!0});var Xc=h(Lt);u(St.$$.fragment,Xc),Xc.forEach(t),mg=r(e),E=s(e,"DIV",{class:!0});var ko=h(E);u(zt.$$.fragment,ko),yu=r(ko),si=s(ko,"P",{"data-svelte-h":!0}),_(si)!=="svelte-nyvcvt"&&(si.textContent=dp),ko.forEach(t),pg=r(e),Gt=s(e,"DIV",{class:!0});var Yc=h(Gt);u(jt.$$.fragment,Yc),Yc.forEach(t),cg=r(e),k=s(e,"DIV",{class:!0});var Vo=h(k);u(qt.$$.fragment,Vo),Iu=r(Vo),oi=s(Vo,"P",{"data-svelte-h":!0}),_(oi)!=="svelte-1dx2bnl"&&(oi.textContent=bp),Vo.forEach(t),fg=r(e),u(Qt.$$.fragment,e),hg=r(e),V=s(e,"DIV",{class:!0});var Lo=h(V);u(Zt.$$.fragment,Lo),Ou=r(Lo),li=s(Lo,"P",{"data-svelte-h":!0}),_(li)!=="svelte-nthb65"&&(li.textContent=_p),Lo.forEach(t),dg=r(e),L=s(e,"DIV",{class:!0});var So=h(L);u(Mt.$$.fragment,So),wu=r(So),ui=s(So,"P",{"data-svelte-h":!0}),_(ui)!=="svelte-1d2plmj"&&(ui.textContent=$p),So.forEach(t),bg=r(e),u(Rt.$$.fragment,e),_g=r(e),S=s(e,"DIV",{class:!0});var zo=h(S);u(Bt.$$.fragment,zo),Tu=r(zo),mi=s(zo,"P",{"data-svelte-h":!0}),_(mi)!=="svelte-1ki0ku4"&&(mi.textContent=vp),zo.forEach(t),$g=r(e),z=s(e,"DIV",{class:!0});var Go=h(z);u(Ft.$$.fragment,Go),Du=r(Go),pi=s(Go,"P",{"data-svelte-h":!0}),_(pi)!=="svelte-1gj4qxd"&&(pi.textContent=xp),Go.forEach(t),vg=r(e),G=s(e,"DIV",{class:!0});var jo=h(G);u(Ht.$$.fragment,jo),Au=r(jo),ci=s(jo,"P",{"data-svelte-h":!0}),_(ci)!=="svelte-1w9i38u"&&(ci.textContent=Cp),jo.forEach(t),xg=r(e),j=s(e,"DIV",{class:!0});var qo=h(j);u(Ut.$$.fragment,qo),Nu=r(qo),fi=s(qo,"P",{"data-svelte-h":!0}),_(fi)!=="svelte-1rvppek"&&(fi.textContent=yp),qo.forEach(t),Cg=r(e),u(Jt.$$.fragment,e),yg=r(e),q=s(e,"DIV",{class:!0});var Qo=h(q);u(Wt.$$.fragment,Qo),Pu=r(Qo),hi=s(Qo,"P",{"data-svelte-h":!0}),_(hi)!=="svelte-eyg83n"&&(hi.textContent=Ip),Qo.forEach(t),Ig=r(e),u(Kt.$$.fragment,e),Og=r(e),Q=s(e,"DIV",{class:!0});var Zo=h(Q);u(Xt.$$.fragment,Zo),Eu=r(Zo),di=s(Zo,"P",{"data-svelte-h":!0}),_(di)!=="svelte-ycm97q"&&(di.textContent=Op),Zo.forEach(t),wg=r(e),Z=s(e,"DIV",{class:!0});var Mo=h(Z);u(Yt.$$.fragment,Mo),ku=r(Mo),bi=s(Mo,"P",{"data-svelte-h":!0}),_(bi)!=="svelte-vg0pm4"&&(bi.textContent=wp),Mo.forEach(t),Tg=r(e),M=s(e,"DIV",{class:!0});var Ro=h(M);u(en.$$.fragment,Ro),Vu=r(Ro),_i=s(Ro,"P",{"data-svelte-h":!0}),_(_i)!=="svelte-1agk3h6"&&(_i.textContent=Tp),Ro.forEach(t),Dg=r(e),u(tn.$$.fragment,e),Ag=r(e),R=s(e,"DIV",{class:!0});var Bo=h(R);u(nn.$$.fragment,Bo),Lu=r(Bo),$i=s(Bo,"P",{"data-svelte-h":!0}),_($i)!=="svelte-m0m3mi"&&($i.textContent=Dp),Bo.forEach(t),Ng=r(e),B=s(e,"DIV",{class:!0});var Fo=h(B);u(an.$$.fragment,Fo),Su=r(Fo),vi=s(Fo,"P",{"data-svelte-h":!0}),_(vi)!=="svelte-1sts6rc"&&(vi.textContent=Ap),Fo.forEach(t),Pg=r(e),F=s(e,"DIV",{class:!0});var Ho=h(F);u(rn.$$.fragment,Ho),zu=r(Ho),xi=s(Ho,"P",{"data-svelte-h":!0}),_(xi)!=="svelte-k70jko"&&(xi.textContent=Np),Ho.forEach(t),Eg=r(e),u(gn.$$.fragment,e),kg=r(e),H=s(e,"DIV",{class:!0});var Uo=h(H);u(sn.$$.fragment,Uo),Gu=r(Uo),Ci=s(Uo,"P",{"data-svelte-h":!0}),_(Ci)!=="svelte-mctko8"&&(Ci.textContent=Pp),Uo.forEach(t),Vg=r(e),U=s(e,"DIV",{class:!0});var Jo=h(U);u(on.$$.fragment,Jo),ju=r(Jo),yi=s(Jo,"P",{"data-svelte-h":!0}),_(yi)!=="svelte-10d772x"&&(yi.textContent=Ep),Jo.forEach(t),Lg=r(e),J=s(e,"DIV",{class:!0});var Wo=h(J);u(ln.$$.fragment,Wo),qu=r(Wo),Ii=s(Wo,"P",{"data-svelte-h":!0}),_(Ii)!=="svelte-mesrma"&&(Ii.textContent=kp),Wo.forEach(t),Sg=r(e),u(un.$$.fragment,e),zg=r(e),W=s(e,"DIV",{class:!0});var Ko=h(W);u(mn.$$.fragment,Ko),Qu=r(Ko),Oi=s(Ko,"P",{"data-svelte-h":!0}),_(Oi)!=="svelte-q286hi"&&(Oi.textContent=Vp),Ko.forEach(t),Gg=r(e),K=s(e,"DIV",{class:!0});var Xo=h(K);u(pn.$$.fragment,Xo),Zu=r(Xo),wi=s(Xo,"P",{"data-svelte-h":!0}),_(wi)!=="svelte-k6vljo"&&(wi.textContent=Lp),Xo.forEach(t),jg=r(e),X=s(e,"DIV",{class:!0});var Yo=h(X);u(cn.$$.fragment,Yo),Mu=r(Yo),Ti=s(Yo,"P",{"data-svelte-h":!0}),_(Ti)!=="svelte-eruquw"&&(Ti.textContent=Sp),Yo.forEach(t),qg=r(e),Y=s(e,"DIV",{class:!0});var el=h(Y);u(fn.$$.fragment,el),Ru=r(el),Di=s(el,"P",{"data-svelte-h":!0}),_(Di)!=="svelte-eam3z5"&&(Di.textContent=zp),el.forEach(t),Qg=r(e),u(hn.$$.fragment,e),Zg=r(e),ee=s(e,"DIV",{class:!0});var tl=h(ee);u(dn.$$.fragment,tl),Bu=r(tl),Ai=s(tl,"P",{"data-svelte-h":!0}),_(Ai)!=="svelte-a7ph4"&&(Ai.textContent=Gp),tl.forEach(t),Mg=r(e),te=s(e,"DIV",{class:!0});var nl=h(te);u(bn.$$.fragment,nl),Fu=r(nl),Ni=s(nl,"P",{"data-svelte-h":!0}),_(Ni)!=="svelte-1n2elv4"&&(Ni.textContent=jp),nl.forEach(t),Rg=r(e),ne=s(e,"DIV",{class:!0});var al=h(ne);u(_n.$$.fragment,al),Hu=r(al),Pi=s(al,"P",{"data-svelte-h":!0}),_(Pi)!=="svelte-1rj90i2"&&(Pi.textContent=qp),al.forEach(t),Bg=r(e),ae=s(e,"DIV",{class:!0});var il=h(ae);u($n.$$.fragment,il),Uu=r(il),Ei=s(il,"P",{"data-svelte-h":!0}),_(Ei)!=="svelte-17voqe0"&&(Ei.textContent=Qp),il.forEach(t),Fg=r(e),u(vn.$$.fragment,e),Hg=r(e),ie=s(e,"DIV",{class:!0});var rl=h(ie);u(xn.$$.fragment,rl),Ju=r(rl),ki=s(rl,"P",{"data-svelte-h":!0}),_(ki)!=="svelte-im3jf9"&&(ki.textContent=Zp),rl.forEach(t),Ug=r(e),re=s(e,"DIV",{class:!0});var gl=h(re);u(Cn.$$.fragment,gl),Wu=r(gl),Vi=s(gl,"P",{"data-svelte-h":!0}),_(Vi)!=="svelte-s0dxhd"&&(Vi.textContent=Mp),gl.forEach(t),Jg=r(e),ge=s(e,"DIV",{class:!0});var sl=h(ge);u(yn.$$.fragment,sl),Ku=r(sl),Li=s(sl,"P",{"data-svelte-h":!0}),_(Li)!=="svelte-lj2u9z"&&(Li.textContent=Rp),sl.forEach(t),Wg=r(e),se=s(e,"DIV",{class:!0});var ol=h(se);u(In.$$.fragment,ol),Xu=r(ol),Si=s(ol,"P",{"data-svelte-h":!0}),_(Si)!=="svelte-y9d7kd"&&(Si.textContent=Bp),ol.forEach(t),Kg=r(e),u(On.$$.fragment,e),Xg=r(e),oe=s(e,"DIV",{class:!0});var ll=h(oe);u(wn.$$.fragment,ll),Yu=r(ll),zi=s(ll,"P",{"data-svelte-h":!0}),_(zi)!=="svelte-2apwur"&&(zi.textContent=Fp),ll.forEach(t),Yg=r(e),le=s(e,"DIV",{class:!0});var ul=h(le);u(Tn.$$.fragment,ul),em=r(ul),Gi=s(ul,"P",{"data-svelte-h":!0}),_(Gi)!=="svelte-1j04xkd"&&(Gi.textContent=Hp),ul.forEach(t),es=r(e),ue=s(e,"DIV",{class:!0});var ml=h(ue);u(Dn.$$.fragment,ml),tm=r(ml),ji=s(ml,"P",{"data-svelte-h":!0}),_(ji)!=="svelte-1oc2myl"&&(ji.textContent=Up),ml.forEach(t),ts=r(e),me=s(e,"DIV",{class:!0});var pl=h(me);u(An.$$.fragment,pl),nm=r(pl),qi=s(pl,"P",{"data-svelte-h":!0}),_(qi)!=="svelte-1e750en"&&(qi.textContent=Jp),pl.forEach(t),ns=r(e),u(Nn.$$.fragment,e),as=r(e),pe=s(e,"DIV",{class:!0});var cl=h(pe);u(Pn.$$.fragment,cl),am=r(cl),Qi=s(cl,"P",{"data-svelte-h":!0}),_(Qi)!=="svelte-1xxnz2z"&&(Qi.textContent=Wp),cl.forEach(t),is=r(e),En=s(e,"DIV",{class:!0});var ef=h(En);u(kn.$$.fragment,ef),ef.forEach(t),rs=r(e),u(Vn.$$.fragment,e),gs=r(e),ce=s(e,"DIV",{class:!0});var fl=h(ce);u(Ln.$$.fragment,fl),im=r(fl),Zi=s(fl,"P",{"data-svelte-h":!0}),_(Zi)!=="svelte-14vs39r"&&(Zi.textContent=Kp),fl.forEach(t),ss=r(e),fe=s(e,"DIV",{class:!0});var hl=h(fe);u(Sn.$$.fragment,hl),rm=r(hl),Mi=s(hl,"P",{"data-svelte-h":!0}),_(Mi)!=="svelte-4ndaf5"&&(Mi.textContent=Xp),hl.forEach(t),os=r(e),he=s(e,"DIV",{class:!0});var dl=h(he);u(zn.$$.fragment,dl),gm=r(dl),Ri=s(dl,"P",{"data-svelte-h":!0}),_(Ri)!=="svelte-1gauzro"&&(Ri.textContent=Yp),dl.forEach(t),ls=r(e),u(Gn.$$.fragment,e),us=r(e),de=s(e,"DIV",{class:!0});var bl=h(de);u(jn.$$.fragment,bl),sm=r(bl),Bi=s(bl,"P",{"data-svelte-h":!0}),_(Bi)!=="svelte-ou48df"&&(Bi.textContent=ec),bl.forEach(t),ms=r(e),be=s(e,"DIV",{class:!0});var _l=h(be);u(qn.$$.fragment,_l),om=r(_l),Fi=s(_l,"P",{"data-svelte-h":!0}),_(Fi)!=="svelte-miq2j0"&&(Fi.textContent=tc),_l.forEach(t),ps=r(e),_e=s(e,"DIV",{class:!0});var $l=h(_e);u(Qn.$$.fragment,$l),lm=r($l),Hi=s($l,"P",{"data-svelte-h":!0}),_(Hi)!=="svelte-18jk6yt"&&(Hi.textContent=nc),$l.forEach(t),cs=r(e),u(Zn.$$.fragment,e),fs=r(e),$e=s(e,"DIV",{class:!0});var vl=h($e);u(Mn.$$.fragment,vl),um=r(vl),Ui=s(vl,"P",{"data-svelte-h":!0}),_(Ui)!=="svelte-4szi7r"&&(Ui.textContent=ac),vl.forEach(t),hs=r(e),ve=s(e,"DIV",{class:!0});var xl=h(ve);u(Rn.$$.fragment,xl),mm=r(xl),Ji=s(xl,"P",{"data-svelte-h":!0}),_(Ji)!=="svelte-z7kzmx"&&(Ji.textContent=ic),xl.forEach(t),ds=r(e),xe=s(e,"DIV",{class:!0});var Cl=h(xe);u(Bn.$$.fragment,Cl),pm=r(Cl),Wi=s(Cl,"P",{"data-svelte-h":!0}),_(Wi)!=="svelte-14vs39r"&&(Wi.textContent=rc),Cl.forEach(t),bs=r(e),u(Fn.$$.fragment,e),_s=r(e),Ce=s(e,"DIV",{class:!0});var yl=h(Ce);u(Hn.$$.fragment,yl),cm=r(yl),Ki=s(yl,"P",{"data-svelte-h":!0}),_(Ki)!=="svelte-1m11geo"&&(Ki.textContent=gc),yl.forEach(t),$s=r(e),ye=s(e,"DIV",{class:!0});var Il=h(ye);u(Un.$$.fragment,Il),fm=r(Il),Xi=s(Il,"P",{"data-svelte-h":!0}),_(Xi)!=="svelte-12zz0uy"&&(Xi.textContent=sc),Il.forEach(t),vs=r(e),Ie=s(e,"DIV",{class:!0});var Ol=h(Ie);u(Jn.$$.fragment,Ol),hm=r(Ol),Yi=s(Ol,"P",{"data-svelte-h":!0}),_(Yi)!=="svelte-vtuseo"&&(Yi.textContent=oc),Ol.forEach(t),xs=r(e),u(Wn.$$.fragment,e),Cs=r(e),Oe=s(e,"DIV",{class:!0});var wl=h(Oe);u(Kn.$$.fragment,wl),dm=r(wl),er=s(wl,"P",{"data-svelte-h":!0}),_(er)!=="svelte-y83606"&&(er.textContent=lc),wl.forEach(t),ys=r(e),we=s(e,"DIV",{class:!0});var Tl=h(we);u(Xn.$$.fragment,Tl),bm=r(Tl),tr=s(Tl,"P",{"data-svelte-h":!0}),_(tr)!=="svelte-1j7wx79"&&(tr.textContent=uc),Tl.forEach(t),Is=r(e),Te=s(e,"DIV",{class:!0});var Dl=h(Te);u(Yn.$$.fragment,Dl),_m=r(Dl),nr=s(Dl,"P",{"data-svelte-h":!0}),_(nr)!=="svelte-4o2n4t"&&(nr.textContent=mc),Dl.forEach(t),Os=r(e),ea=s(e,"DIV",{class:!0});var tf=h(ea);u(ta.$$.fragment,tf),tf.forEach(t),ws=r(e),De=s(e,"DIV",{class:!0});var Al=h(De);u(na.$$.fragment,Al),$m=r(Al),ar=s(Al,"P",{"data-svelte-h":!0}),_(ar)!=="svelte-1v7b6gy"&&(ar.textContent=pc),Al.forEach(t),Ts=r(e),Ae=s(e,"DIV",{class:!0});var Nl=h(Ae);u(aa.$$.fragment,Nl),vm=r(Nl),ir=s(Nl,"P",{"data-svelte-h":!0}),_(ir)!=="svelte-btvrgm"&&(ir.textContent=cc),Nl.forEach(t),Ds=r(e),ia=s(e,"DIV",{class:!0});var nf=h(ia);u(ra.$$.fragment,nf),nf.forEach(t),As=r(e),Ne=s(e,"DIV",{class:!0});var Pl=h(Ne);u(ga.$$.fragment,Pl),xm=r(Pl),rr=s(Pl,"P",{"data-svelte-h":!0}),_(rr)!=="svelte-19utiag"&&(rr.textContent=fc),Pl.forEach(t),Ns=r(e),Pe=s(e,"DIV",{class:!0});var El=h(Pe);u(sa.$$.fragment,El),Cm=r(El),gr=s(El,"P",{"data-svelte-h":!0}),_(gr)!=="svelte-vyiil2"&&(gr.textContent=hc),El.forEach(t),Ps=r(e),u(oa.$$.fragment,e),Es=r(e),Ee=s(e,"DIV",{class:!0});var kl=h(Ee);u(la.$$.fragment,kl),ym=r(kl),sr=s(kl,"P",{"data-svelte-h":!0}),_(sr)!=="svelte-a7ph4"&&(sr.textContent=dc),kl.forEach(t),ks=r(e),ke=s(e,"DIV",{class:!0});var Vl=h(ke);u(ua.$$.fragment,Vl),Im=r(Vl),or=s(Vl,"P",{"data-svelte-h":!0}),_(or)!=="svelte-1vkgn3x"&&(or.textContent=bc),Vl.forEach(t),Vs=r(e),Ve=s(e,"DIV",{class:!0});var Ll=h(Ve);u(ma.$$.fragment,Ll),Om=r(Ll),lr=s(Ll,"P",{"data-svelte-h":!0}),_(lr)!=="svelte-2fhz7f"&&(lr.textContent=_c),Ll.forEach(t),Ls=r(e),Le=s(e,"DIV",{class:!0});var Sl=h(Le);u(pa.$$.fragment,Sl),wm=r(Sl),ur=s(Sl,"P",{"data-svelte-h":!0}),_(ur)!=="svelte-feoncv"&&(ur.textContent=$c),Sl.forEach(t),Ss=r(e),u(ca.$$.fragment,e),zs=r(e),Se=s(e,"DIV",{class:!0});var zl=h(Se);u(fa.$$.fragment,zl),Tm=r(zl),mr=s(zl,"P",{"data-svelte-h":!0}),_(mr)!=="svelte-t7gxtg"&&(mr.textContent=vc),zl.forEach(t),Gs=r(e),ze=s(e,"DIV",{class:!0});var Gl=h(ze);u(ha.$$.fragment,Gl),Dm=r(Gl),pr=s(Gl,"P",{"data-svelte-h":!0}),_(pr)!=="svelte-nrlg6m"&&(pr.textContent=xc),Gl.forEach(t),js=r(e),Ge=s(e,"DIV",{class:!0});var jl=h(Ge);u(da.$$.fragment,jl),Am=r(jl),cr=s(jl,"P",{"data-svelte-h":!0}),_(cr)!=="svelte-imfgvk"&&(cr.textContent=Cc),jl.forEach(t),qs=r(e),je=s(e,"DIV",{class:!0});var ql=h(je);u(ba.$$.fragment,ql),Nm=r(ql),fr=s(ql,"P",{"data-svelte-h":!0}),_(fr)!=="svelte-eam3z5"&&(fr.textContent=yc),ql.forEach(t),Qs=r(e),u(_a.$$.fragment,e),Zs=r(e),qe=s(e,"DIV",{class:!0});var Ql=h(qe);u($a.$$.fragment,Ql),Pm=r(Ql),hr=s(Ql,"P",{"data-svelte-h":!0}),_(hr)!=="svelte-17gsleq"&&(hr.textContent=Ic),Ql.forEach(t),Ms=r(e),Qe=s(e,"DIV",{class:!0});var Zl=h(Qe);u(va.$$.fragment,Zl),Em=r(Zl),dr=s(Zl,"P",{"data-svelte-h":!0}),_(dr)!=="svelte-146ged4"&&(dr.textContent=Oc),Zl.forEach(t),Rs=r(e),Ze=s(e,"DIV",{class:!0});var Ml=h(Ze);u(xa.$$.fragment,Ml),km=r(Ml),br=s(Ml,"P",{"data-svelte-h":!0}),_(br)!=="svelte-1fbcw48"&&(br.textContent=wc),Ml.forEach(t),Bs=r(e),u(Ca.$$.fragment,e),Fs=r(e),Me=s(e,"DIV",{class:!0});var Rl=h(Me);u(ya.$$.fragment,Rl),Vm=r(Rl),_r=s(Rl,"P",{"data-svelte-h":!0}),_(_r)!=="svelte-14vs39r"&&(_r.textContent=Tc),Rl.forEach(t),Hs=r(e),Re=s(e,"DIV",{class:!0});var Bl=h(Re);u(Ia.$$.fragment,Bl),Lm=r(Bl),$r=s(Bl,"P",{"data-svelte-h":!0}),_($r)!=="svelte-1cf0r59"&&($r.textContent=Dc),Bl.forEach(t),Us=r(e),Be=s(e,"DIV",{class:!0});var Fl=h(Be);u(Oa.$$.fragment,Fl),Sm=r(Fl),vr=s(Fl,"P",{"data-svelte-h":!0}),_(vr)!=="svelte-t16mr4"&&(vr.textContent=Ac),Fl.forEach(t),Js=r(e),u(wa.$$.fragment,e),Ws=r(e),Fe=s(e,"DIV",{class:!0});var Hl=h(Fe);u(Ta.$$.fragment,Hl),zm=r(Hl),xr=s(Hl,"P",{"data-svelte-h":!0}),_(xr)!=="svelte-1i4tazw"&&(xr.textContent=Nc),Hl.forEach(t),Ks=r(e),He=s(e,"DIV",{class:!0});var Ul=h(He);u(Da.$$.fragment,Ul),Gm=r(Ul),Cr=s(Ul,"P",{"data-svelte-h":!0}),_(Cr)!=="svelte-11oqfva"&&(Cr.textContent=Pc),Ul.forEach(t),Xs=r(e),Ue=s(e,"DIV",{class:!0});var Jl=h(Ue);u(Aa.$$.fragment,Jl),jm=r(Jl),yr=s(Jl,"P",{"data-svelte-h":!0}),_(yr)!=="svelte-j3ynt6"&&(yr.textContent=Ec),Jl.forEach(t),Ys=r(e),u(Na.$$.fragment,e),eo=r(e),Je=s(e,"DIV",{class:!0});var Wl=h(Je);u(Pa.$$.fragment,Wl),qm=r(Wl),Ir=s(Wl,"P",{"data-svelte-h":!0}),_(Ir)!=="svelte-l9gkz5"&&(Ir.textContent=kc),Wl.forEach(t),to=r(e),We=s(e,"DIV",{class:!0});var Kl=h(We);u(Ea.$$.fragment,Kl),Qm=r(Kl),Or=s(Kl,"P",{"data-svelte-h":!0}),_(Or)!=="svelte-nqr1av"&&(Or.textContent=Vc),Kl.forEach(t),no=r(e),Ke=s(e,"DIV",{class:!0});var Xl=h(Ke);u(ka.$$.fragment,Xl),Zm=r(Xl),wr=s(Xl,"P",{"data-svelte-h":!0}),_(wr)!=="svelte-1uha5ef"&&(wr.textContent=Lc),Xl.forEach(t),ao=r(e),Xe=s(e,"DIV",{class:!0});var Yl=h(Xe);u(Va.$$.fragment,Yl),Mm=r(Yl),Tr=s(Yl,"P",{"data-svelte-h":!0}),_(Tr)!=="svelte-15d7mkj"&&(Tr.textContent=Sc),Yl.forEach(t),io=r(e),u(La.$$.fragment,e),ro=r(e),Ye=s(e,"DIV",{class:!0});var eu=h(Ye);u(Sa.$$.fragment,eu),Rm=r(eu),Dr=s(eu,"P",{"data-svelte-h":!0}),_(Dr)!=="svelte-85ft2f"&&(Dr.textContent=zc),eu.forEach(t),go=r(e),et=s(e,"DIV",{class:!0});var tu=h(et);u(za.$$.fragment,tu),Bm=r(tu),Ar=s(tu,"P",{"data-svelte-h":!0}),_(Ar)!=="svelte-1ejzuoe"&&(Ar.textContent=Gc),tu.forEach(t),so=r(e),tt=s(e,"DIV",{class:!0});var nu=h(tt);u(Ga.$$.fragment,nu),Fm=r(nu),Nr=s(nu,"P",{"data-svelte-h":!0}),_(Nr)!=="svelte-15it97t"&&(Nr.textContent=jc),nu.forEach(t),oo=r(e),nt=s(e,"DIV",{class:!0});var au=h(nt);u(ja.$$.fragment,au),Hm=r(au),Pr=s(au,"P",{"data-svelte-h":!0}),_(Pr)!=="svelte-1r0p8bz"&&(Pr.textContent=qc),au.forEach(t),lo=r(e),u(qa.$$.fragment,e),uo=r(e),at=s(e,"DIV",{class:!0});var iu=h(at);u(Qa.$$.fragment,iu),Um=r(iu),Er=s(iu,"P",{"data-svelte-h":!0}),_(Er)!=="svelte-1b20k2g"&&(Er.textContent=Qc),iu.forEach(t),mo=r(e),it=s(e,"DIV",{class:!0});var ru=h(it);u(Za.$$.fragment,ru),Jm=r(ru),kr=s(ru,"P",{"data-svelte-h":!0}),_(kr)!=="svelte-1jgk6m"&&(kr.textContent=Zc),ru.forEach(t),po=r(e),rt=s(e,"DIV",{class:!0});var gu=h(rt);u(Ma.$$.fragment,gu),Wm=r(gu),Vr=s(gu,"P",{"data-svelte-h":!0}),_(Vr)!=="svelte-1y9kya2"&&(Vr.textContent=Mc),gu.forEach(t),co=r(e),gt=s(e,"DIV",{class:!0});var su=h(gt);u(Ra.$$.fragment,su),Km=r(su),Lr=s(su,"P",{"data-svelte-h":!0}),_(Lr)!=="svelte-2sakm"&&(Lr.textContent=Rc),su.forEach(t),fo=r(e),u(Ba.$$.fragment,e),ho=r(e),st=s(e,"DIV",{class:!0});var ou=h(st);u(Fa.$$.fragment,ou),Xm=r(ou),Sr=s(ou,"P",{"data-svelte-h":!0}),_(Sr)!=="svelte-im3jf9"&&(Sr.textContent=Bc),ou.forEach(t),bo=r(e),ot=s(e,"DIV",{class:!0});var lu=h(ot);u(Ha.$$.fragment,lu),Ym=r(lu),zr=s(lu,"P",{"data-svelte-h":!0}),_(zr)!=="svelte-1dnrq33"&&(zr.textContent=Fc),lu.forEach(t),_o=r(e),lt=s(e,"DIV",{class:!0});var uu=h(lt);u(Ua.$$.fragment,uu),ep=r(uu),Gr=s(uu,"P",{"data-svelte-h":!0}),_(Gr)!=="svelte-1jgk6m"&&(Gr.textContent=Hc),uu.forEach(t),$o=r(e),ut=s(e,"DIV",{class:!0});var mu=h(ut);u(Ja.$$.fragment,mu),tp=r(mu),jr=s(mu,"P",{"data-svelte-h":!0}),_(jr)!=="svelte-mrxhh5"&&(jr.textContent=Uc),mu.forEach(t),vo=r(e),Qr=s(e,"P",{}),h(Qr).forEach(t),this.h()},h(){d(v,"name","hf:doc:metadata"),d(v,"content",mf),d(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(En,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d($e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(we,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ea,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(De,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ia,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(He,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(We,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){o(document.head,v),a(e,Zr,n),a(e,qr,n),a(e,Mr,n),m(mt,e,n),a(e,Rr,n),a(e,pt,n),a(e,Br,n),a(e,ct,n),a(e,Fr,n),m(ft,e,n),a(e,Hr,n),a(e,x,n),m(ht,x,null),o(x,pu),o(x,Wa),a(e,Ur,n),a(e,C,n),m(dt,C,null),o(C,cu),o(C,Ka),a(e,Jr,n),a(e,y,n),m(bt,y,null),o(y,fu),o(y,Xa),a(e,Wr,n),m(_t,e,n),a(e,Kr,n),a(e,I,n),m($t,I,null),o(I,hu),o(I,Ya),a(e,Xr,n),a(e,O,n),m(vt,O,null),o(O,du),o(O,ei),a(e,Yr,n),m(xt,e,n),a(e,eg,n),a(e,w,n),m(Ct,w,null),o(w,bu),o(w,ti),a(e,tg,n),a(e,T,n),m(yt,T,null),o(T,_u),o(T,ni),a(e,ng,n),a(e,D,n),m(It,D,null),o(D,$u),o(D,ai),a(e,ag,n),a(e,Ot,n),m(wt,Ot,null),a(e,ig,n),a(e,A,n),m(Tt,A,null),o(A,vu),o(A,ii),a(e,rg,n),m(Dt,e,n),a(e,gg,n),a(e,N,n),m(At,N,null),o(N,xu),o(N,ri),a(e,sg,n),a(e,Nt,n),m(Pt,Nt,null),a(e,og,n),a(e,P,n),m(Et,P,null),o(P,Cu),o(P,gi),a(e,lg,n),a(e,kt,n),m(Vt,kt,null),a(e,ug,n),a(e,Lt,n),m(St,Lt,null),a(e,mg,n),a(e,E,n),m(zt,E,null),o(E,yu),o(E,si),a(e,pg,n),a(e,Gt,n),m(jt,Gt,null),a(e,cg,n),a(e,k,n),m(qt,k,null),o(k,Iu),o(k,oi),a(e,fg,n),m(Qt,e,n),a(e,hg,n),a(e,V,n),m(Zt,V,null),o(V,Ou),o(V,li),a(e,dg,n),a(e,L,n),m(Mt,L,null),o(L,wu),o(L,ui),a(e,bg,n),m(Rt,e,n),a(e,_g,n),a(e,S,n),m(Bt,S,null),o(S,Tu),o(S,mi),a(e,$g,n),a(e,z,n),m(Ft,z,null),o(z,Du),o(z,pi),a(e,vg,n),a(e,G,n),m(Ht,G,null),o(G,Au),o(G,ci),a(e,xg,n),a(e,j,n),m(Ut,j,null),o(j,Nu),o(j,fi),a(e,Cg,n),m(Jt,e,n),a(e,yg,n),a(e,q,n),m(Wt,q,null),o(q,Pu),o(q,hi),a(e,Ig,n),m(Kt,e,n),a(e,Og,n),a(e,Q,n),m(Xt,Q,null),o(Q,Eu),o(Q,di),a(e,wg,n),a(e,Z,n),m(Yt,Z,null),o(Z,ku),o(Z,bi),a(e,Tg,n),a(e,M,n),m(en,M,null),o(M,Vu),o(M,_i),a(e,Dg,n),m(tn,e,n),a(e,Ag,n),a(e,R,n),m(nn,R,null),o(R,Lu),o(R,$i),a(e,Ng,n),a(e,B,n),m(an,B,null),o(B,Su),o(B,vi),a(e,Pg,n),a(e,F,n),m(rn,F,null),o(F,zu),o(F,xi),a(e,Eg,n),m(gn,e,n),a(e,kg,n),a(e,H,n),m(sn,H,null),o(H,Gu),o(H,Ci),a(e,Vg,n),a(e,U,n),m(on,U,null),o(U,ju),o(U,yi),a(e,Lg,n),a(e,J,n),m(ln,J,null),o(J,qu),o(J,Ii),a(e,Sg,n),m(un,e,n),a(e,zg,n),a(e,W,n),m(mn,W,null),o(W,Qu),o(W,Oi),a(e,Gg,n),a(e,K,n),m(pn,K,null),o(K,Zu),o(K,wi),a(e,jg,n),a(e,X,n),m(cn,X,null),o(X,Mu),o(X,Ti),a(e,qg,n),a(e,Y,n),m(fn,Y,null),o(Y,Ru),o(Y,Di),a(e,Qg,n),m(hn,e,n),a(e,Zg,n),a(e,ee,n),m(dn,ee,null),o(ee,Bu),o(ee,Ai),a(e,Mg,n),a(e,te,n),m(bn,te,null),o(te,Fu),o(te,Ni),a(e,Rg,n),a(e,ne,n),m(_n,ne,null),o(ne,Hu),o(ne,Pi),a(e,Bg,n),a(e,ae,n),m($n,ae,null),o(ae,Uu),o(ae,Ei),a(e,Fg,n),m(vn,e,n),a(e,Hg,n),a(e,ie,n),m(xn,ie,null),o(ie,Ju),o(ie,ki),a(e,Ug,n),a(e,re,n),m(Cn,re,null),o(re,Wu),o(re,Vi),a(e,Jg,n),a(e,ge,n),m(yn,ge,null),o(ge,Ku),o(ge,Li),a(e,Wg,n),a(e,se,n),m(In,se,null),o(se,Xu),o(se,Si),a(e,Kg,n),m(On,e,n),a(e,Xg,n),a(e,oe,n),m(wn,oe,null),o(oe,Yu),o(oe,zi),a(e,Yg,n),a(e,le,n),m(Tn,le,null),o(le,em),o(le,Gi),a(e,es,n),a(e,ue,n),m(Dn,ue,null),o(ue,tm),o(ue,ji),a(e,ts,n),a(e,me,n),m(An,me,null),o(me,nm),o(me,qi),a(e,ns,n),m(Nn,e,n),a(e,as,n),a(e,pe,n),m(Pn,pe,null),o(pe,am),o(pe,Qi),a(e,is,n),a(e,En,n),m(kn,En,null),a(e,rs,n),m(Vn,e,n),a(e,gs,n),a(e,ce,n),m(Ln,ce,null),o(ce,im),o(ce,Zi),a(e,ss,n),a(e,fe,n),m(Sn,fe,null),o(fe,rm),o(fe,Mi),a(e,os,n),a(e,he,n),m(zn,he,null),o(he,gm),o(he,Ri),a(e,ls,n),m(Gn,e,n),a(e,us,n),a(e,de,n),m(jn,de,null),o(de,sm),o(de,Bi),a(e,ms,n),a(e,be,n),m(qn,be,null),o(be,om),o(be,Fi),a(e,ps,n),a(e,_e,n),m(Qn,_e,null),o(_e,lm),o(_e,Hi),a(e,cs,n),m(Zn,e,n),a(e,fs,n),a(e,$e,n),m(Mn,$e,null),o($e,um),o($e,Ui),a(e,hs,n),a(e,ve,n),m(Rn,ve,null),o(ve,mm),o(ve,Ji),a(e,ds,n),a(e,xe,n),m(Bn,xe,null),o(xe,pm),o(xe,Wi),a(e,bs,n),m(Fn,e,n),a(e,_s,n),a(e,Ce,n),m(Hn,Ce,null),o(Ce,cm),o(Ce,Ki),a(e,$s,n),a(e,ye,n),m(Un,ye,null),o(ye,fm),o(ye,Xi),a(e,vs,n),a(e,Ie,n),m(Jn,Ie,null),o(Ie,hm),o(Ie,Yi),a(e,xs,n),m(Wn,e,n),a(e,Cs,n),a(e,Oe,n),m(Kn,Oe,null),o(Oe,dm),o(Oe,er),a(e,ys,n),a(e,we,n),m(Xn,we,null),o(we,bm),o(we,tr),a(e,Is,n),a(e,Te,n),m(Yn,Te,null),o(Te,_m),o(Te,nr),a(e,Os,n),a(e,ea,n),m(ta,ea,null),a(e,ws,n),a(e,De,n),m(na,De,null),o(De,$m),o(De,ar),a(e,Ts,n),a(e,Ae,n),m(aa,Ae,null),o(Ae,vm),o(Ae,ir),a(e,Ds,n),a(e,ia,n),m(ra,ia,null),a(e,As,n),a(e,Ne,n),m(ga,Ne,null),o(Ne,xm),o(Ne,rr),a(e,Ns,n),a(e,Pe,n),m(sa,Pe,null),o(Pe,Cm),o(Pe,gr),a(e,Ps,n),m(oa,e,n),a(e,Es,n),a(e,Ee,n),m(la,Ee,null),o(Ee,ym),o(Ee,sr),a(e,ks,n),a(e,ke,n),m(ua,ke,null),o(ke,Im),o(ke,or),a(e,Vs,n),a(e,Ve,n),m(ma,Ve,null),o(Ve,Om),o(Ve,lr),a(e,Ls,n),a(e,Le,n),m(pa,Le,null),o(Le,wm),o(Le,ur),a(e,Ss,n),m(ca,e,n),a(e,zs,n),a(e,Se,n),m(fa,Se,null),o(Se,Tm),o(Se,mr),a(e,Gs,n),a(e,ze,n),m(ha,ze,null),o(ze,Dm),o(ze,pr),a(e,js,n),a(e,Ge,n),m(da,Ge,null),o(Ge,Am),o(Ge,cr),a(e,qs,n),a(e,je,n),m(ba,je,null),o(je,Nm),o(je,fr),a(e,Qs,n),m(_a,e,n),a(e,Zs,n),a(e,qe,n),m($a,qe,null),o(qe,Pm),o(qe,hr),a(e,Ms,n),a(e,Qe,n),m(va,Qe,null),o(Qe,Em),o(Qe,dr),a(e,Rs,n),a(e,Ze,n),m(xa,Ze,null),o(Ze,km),o(Ze,br),a(e,Bs,n),m(Ca,e,n),a(e,Fs,n),a(e,Me,n),m(ya,Me,null),o(Me,Vm),o(Me,_r),a(e,Hs,n),a(e,Re,n),m(Ia,Re,null),o(Re,Lm),o(Re,$r),a(e,Us,n),a(e,Be,n),m(Oa,Be,null),o(Be,Sm),o(Be,vr),a(e,Js,n),m(wa,e,n),a(e,Ws,n),a(e,Fe,n),m(Ta,Fe,null),o(Fe,zm),o(Fe,xr),a(e,Ks,n),a(e,He,n),m(Da,He,null),o(He,Gm),o(He,Cr),a(e,Xs,n),a(e,Ue,n),m(Aa,Ue,null),o(Ue,jm),o(Ue,yr),a(e,Ys,n),m(Na,e,n),a(e,eo,n),a(e,Je,n),m(Pa,Je,null),o(Je,qm),o(Je,Ir),a(e,to,n),a(e,We,n),m(Ea,We,null),o(We,Qm),o(We,Or),a(e,no,n),a(e,Ke,n),m(ka,Ke,null),o(Ke,Zm),o(Ke,wr),a(e,ao,n),a(e,Xe,n),m(Va,Xe,null),o(Xe,Mm),o(Xe,Tr),a(e,io,n),m(La,e,n),a(e,ro,n),a(e,Ye,n),m(Sa,Ye,null),o(Ye,Rm),o(Ye,Dr),a(e,go,n),a(e,et,n),m(za,et,null),o(et,Bm),o(et,Ar),a(e,so,n),a(e,tt,n),m(Ga,tt,null),o(tt,Fm),o(tt,Nr),a(e,oo,n),a(e,nt,n),m(ja,nt,null),o(nt,Hm),o(nt,Pr),a(e,lo,n),m(qa,e,n),a(e,uo,n),a(e,at,n),m(Qa,at,null),o(at,Um),o(at,Er),a(e,mo,n),a(e,it,n),m(Za,it,null),o(it,Jm),o(it,kr),a(e,po,n),a(e,rt,n),m(Ma,rt,null),o(rt,Wm),o(rt,Vr),a(e,co,n),a(e,gt,n),m(Ra,gt,null),o(gt,Km),o(gt,Lr),a(e,fo,n),m(Ba,e,n),a(e,ho,n),a(e,st,n),m(Fa,st,null),o(st,Xm),o(st,Sr),a(e,bo,n),a(e,ot,n),m(Ha,ot,null),o(ot,Ym),o(ot,zr),a(e,_o,n),a(e,lt,n),m(Ua,lt,null),o(lt,ep),o(lt,Gr),a(e,$o,n),a(e,ut,n),m(Ja,ut,null),o(ut,tp),o(ut,jr),a(e,vo,n),a(e,Qr,n),xo=!0},p:rf,i(e){xo||(p(mt.$$.fragment,e),p(ft.$$.fragment,e),p(ht.$$.fragment,e),p(dt.$$.fragment,e),p(bt.$$.fragment,e),p(_t.$$.fragment,e),p($t.$$.fragment,e),p(vt.$$.fragment,e),p(xt.$$.fragment,e),p(Ct.$$.fragment,e),p(yt.$$.fragment,e),p(It.$$.fragment,e),p(wt.$$.fragment,e),p(Tt.$$.fragment,e),p(Dt.$$.fragment,e),p(At.$$.fragment,e),p(Pt.$$.fragment,e),p(Et.$$.fragment,e),p(Vt.$$.fragment,e),p(St.$$.fragment,e),p(zt.$$.fragment,e),p(jt.$$.fragment,e),p(qt.$$.fragment,e),p(Qt.$$.fragment,e),p(Zt.$$.fragment,e),p(Mt.$$.fragment,e),p(Rt.$$.fragment,e),p(Bt.$$.fragment,e),p(Ft.$$.fragment,e),p(Ht.$$.fragment,e),p(Ut.$$.fragment,e),p(Jt.$$.fragment,e),p(Wt.$$.fragment,e),p(Kt.$$.fragment,e),p(Xt.$$.fragment,e),p(Yt.$$.fragment,e),p(en.$$.fragment,e),p(tn.$$.fragment,e),p(nn.$$.fragment,e),p(an.$$.fragment,e),p(rn.$$.fragment,e),p(gn.$$.fragment,e),p(sn.$$.fragment,e),p(on.$$.fragment,e),p(ln.$$.fragment,e),p(un.$$.fragment,e),p(mn.$$.fragment,e),p(pn.$$.fragment,e),p(cn.$$.fragment,e),p(fn.$$.fragment,e),p(hn.$$.fragment,e),p(dn.$$.fragment,e),p(bn.$$.fragment,e),p(_n.$$.fragment,e),p($n.$$.fragment,e),p(vn.$$.fragment,e),p(xn.$$.fragment,e),p(Cn.$$.fragment,e),p(yn.$$.fragment,e),p(In.$$.fragment,e),p(On.$$.fragment,e),p(wn.$$.fragment,e),p(Tn.$$.fragment,e),p(Dn.$$.fragment,e),p(An.$$.fragment,e),p(Nn.$$.fragment,e),p(Pn.$$.fragment,e),p(kn.$$.fragment,e),p(Vn.$$.fragment,e),p(Ln.$$.fragment,e),p(Sn.$$.fragment,e),p(zn.$$.fragment,e),p(Gn.$$.fragment,e),p(jn.$$.fragment,e),p(qn.$$.fragment,e),p(Qn.$$.fragment,e),p(Zn.$$.fragment,e),p(Mn.$$.fragment,e),p(Rn.$$.fragment,e),p(Bn.$$.fragment,e),p(Fn.$$.fragment,e),p(Hn.$$.fragment,e),p(Un.$$.fragment,e),p(Jn.$$.fragment,e),p(Wn.$$.fragment,e),p(Kn.$$.fragment,e),p(Xn.$$.fragment,e),p(Yn.$$.fragment,e),p(ta.$$.fragment,e),p(na.$$.fragment,e),p(aa.$$.fragment,e),p(ra.$$.fragment,e),p(ga.$$.fragment,e),p(sa.$$.fragment,e),p(oa.$$.fragment,e),p(la.$$.fragment,e),p(ua.$$.fragment,e),p(ma.$$.fragment,e),p(pa.$$.fragment,e),p(ca.$$.fragment,e),p(fa.$$.fragment,e),p(ha.$$.fragment,e),p(da.$$.fragment,e),p(ba.$$.fragment,e),p(_a.$$.fragment,e),p($a.$$.fragment,e),p(va.$$.fragment,e),p(xa.$$.fragment,e),p(Ca.$$.fragment,e),p(ya.$$.fragment,e),p(Ia.$$.fragment,e),p(Oa.$$.fragment,e),p(wa.$$.fragment,e),p(Ta.$$.fragment,e),p(Da.$$.fragment,e),p(Aa.$$.fragment,e),p(Na.$$.fragment,e),p(Pa.$$.fragment,e),p(Ea.$$.fragment,e),p(ka.$$.fragment,e),p(Va.$$.fragment,e),p(La.$$.fragment,e),p(Sa.$$.fragment,e),p(za.$$.fragment,e),p(Ga.$$.fragment,e),p(ja.$$.fragment,e),p(qa.$$.fragment,e),p(Qa.$$.fragment,e),p(Za.$$.fragment,e),p(Ma.$$.fragment,e),p(Ra.$$.fragment,e),p(Ba.$$.fragment,e),p(Fa.$$.fragment,e),p(Ha.$$.fragment,e),p(Ua.$$.fragment,e),p(Ja.$$.fragment,e),xo=!0)},o(e){c(mt.$$.fragment,e),c(ft.$$.fragment,e),c(ht.$$.fragment,e),c(dt.$$.fragment,e),c(bt.$$.fragment,e),c(_t.$$.fragment,e),c($t.$$.fragment,e),c(vt.$$.fragment,e),c(xt.$$.fragment,e),c(Ct.$$.fragment,e),c(yt.$$.fragment,e),c(It.$$.fragment,e),c(wt.$$.fragment,e),c(Tt.$$.fragment,e),c(Dt.$$.fragment,e),c(At.$$.fragment,e),c(Pt.$$.fragment,e),c(Et.$$.fragment,e),c(Vt.$$.fragment,e),c(St.$$.fragment,e),c(zt.$$.fragment,e),c(jt.$$.fragment,e),c(qt.$$.fragment,e),c(Qt.$$.fragment,e),c(Zt.$$.fragment,e),c(Mt.$$.fragment,e),c(Rt.$$.fragment,e),c(Bt.$$.fragment,e),c(Ft.$$.fragment,e),c(Ht.$$.fragment,e),c(Ut.$$.fragment,e),c(Jt.$$.fragment,e),c(Wt.$$.fragment,e),c(Kt.$$.fragment,e),c(Xt.$$.fragment,e),c(Yt.$$.fragment,e),c(en.$$.fragment,e),c(tn.$$.fragment,e),c(nn.$$.fragment,e),c(an.$$.fragment,e),c(rn.$$.fragment,e),c(gn.$$.fragment,e),c(sn.$$.fragment,e),c(on.$$.fragment,e),c(ln.$$.fragment,e),c(un.$$.fragment,e),c(mn.$$.fragment,e),c(pn.$$.fragment,e),c(cn.$$.fragment,e),c(fn.$$.fragment,e),c(hn.$$.fragment,e),c(dn.$$.fragment,e),c(bn.$$.fragment,e),c(_n.$$.fragment,e),c($n.$$.fragment,e),c(vn.$$.fragment,e),c(xn.$$.fragment,e),c(Cn.$$.fragment,e),c(yn.$$.fragment,e),c(In.$$.fragment,e),c(On.$$.fragment,e),c(wn.$$.fragment,e),c(Tn.$$.fragment,e),c(Dn.$$.fragment,e),c(An.$$.fragment,e),c(Nn.$$.fragment,e),c(Pn.$$.fragment,e),c(kn.$$.fragment,e),c(Vn.$$.fragment,e),c(Ln.$$.fragment,e),c(Sn.$$.fragment,e),c(zn.$$.fragment,e),c(Gn.$$.fragment,e),c(jn.$$.fragment,e),c(qn.$$.fragment,e),c(Qn.$$.fragment,e),c(Zn.$$.fragment,e),c(Mn.$$.fragment,e),c(Rn.$$.fragment,e),c(Bn.$$.fragment,e),c(Fn.$$.fragment,e),c(Hn.$$.fragment,e),c(Un.$$.fragment,e),c(Jn.$$.fragment,e),c(Wn.$$.fragment,e),c(Kn.$$.fragment,e),c(Xn.$$.fragment,e),c(Yn.$$.fragment,e),c(ta.$$.fragment,e),c(na.$$.fragment,e),c(aa.$$.fragment,e),c(ra.$$.fragment,e),c(ga.$$.fragment,e),c(sa.$$.fragment,e),c(oa.$$.fragment,e),c(la.$$.fragment,e),c(ua.$$.fragment,e),c(ma.$$.fragment,e),c(pa.$$.fragment,e),c(ca.$$.fragment,e),c(fa.$$.fragment,e),c(ha.$$.fragment,e),c(da.$$.fragment,e),c(ba.$$.fragment,e),c(_a.$$.fragment,e),c($a.$$.fragment,e),c(va.$$.fragment,e),c(xa.$$.fragment,e),c(Ca.$$.fragment,e),c(ya.$$.fragment,e),c(Ia.$$.fragment,e),c(Oa.$$.fragment,e),c(wa.$$.fragment,e),c(Ta.$$.fragment,e),c(Da.$$.fragment,e),c(Aa.$$.fragment,e),c(Na.$$.fragment,e),c(Pa.$$.fragment,e),c(Ea.$$.fragment,e),c(ka.$$.fragment,e),c(Va.$$.fragment,e),c(La.$$.fragment,e),c(Sa.$$.fragment,e),c(za.$$.fragment,e),c(Ga.$$.fragment,e),c(ja.$$.fragment,e),c(qa.$$.fragment,e),c(Qa.$$.fragment,e),c(Za.$$.fragment,e),c(Ma.$$.fragment,e),c(Ra.$$.fragment,e),c(Ba.$$.fragment,e),c(Fa.$$.fragment,e),c(Ha.$$.fragment,e),c(Ua.$$.fragment,e),c(Ja.$$.fragment,e),xo=!1},d(e){e&&(t(Zr),t(qr),t(Mr),t(Rr),t(pt),t(Br),t(ct),t(Fr),t(Hr),t(x),t(Ur),t(C),t(Jr),t(y),t(Wr),t(Kr),t(I),t(Xr),t(O),t(Yr),t(eg),t(w),t(tg),t(T),t(ng),t(D),t(ag),t(Ot),t(ig),t(A),t(rg),t(gg),t(N),t(sg),t(Nt),t(og),t(P),t(lg),t(kt),t(ug),t(Lt),t(mg),t(E),t(pg),t(Gt),t(cg),t(k),t(fg),t(hg),t(V),t(dg),t(L),t(bg),t(_g),t(S),t($g),t(z),t(vg),t(G),t(xg),t(j),t(Cg),t(yg),t(q),t(Ig),t(Og),t(Q),t(wg),t(Z),t(Tg),t(M),t(Dg),t(Ag),t(R),t(Ng),t(B),t(Pg),t(F),t(Eg),t(kg),t(H),t(Vg),t(U),t(Lg),t(J),t(Sg),t(zg),t(W),t(Gg),t(K),t(jg),t(X),t(qg),t(Y),t(Qg),t(Zg),t(ee),t(Mg),t(te),t(Rg),t(ne),t(Bg),t(ae),t(Fg),t(Hg),t(ie),t(Ug),t(re),t(Jg),t(ge),t(Wg),t(se),t(Kg),t(Xg),t(oe),t(Yg),t(le),t(es),t(ue),t(ts),t(me),t(ns),t(as),t(pe),t(is),t(En),t(rs),t(gs),t(ce),t(ss),t(fe),t(os),t(he),t(ls),t(us),t(de),t(ms),t(be),t(ps),t(_e),t(cs),t(fs),t($e),t(hs),t(ve),t(ds),t(xe),t(bs),t(_s),t(Ce),t($s),t(ye),t(vs),t(Ie),t(xs),t(Cs),t(Oe),t(ys),t(we),t(Is),t(Te),t(Os),t(ea),t(ws),t(De),t(Ts),t(Ae),t(Ds),t(ia),t(As),t(Ne),t(Ns),t(Pe),t(Ps),t(Es),t(Ee),t(ks),t(ke),t(Vs),t(Ve),t(Ls),t(Le),t(Ss),t(zs),t(Se),t(Gs),t(ze),t(js),t(Ge),t(qs),t(je),t(Qs),t(Zs),t(qe),t(Ms),t(Qe),t(Rs),t(Ze),t(Bs),t(Fs),t(Me),t(Hs),t(Re),t(Us),t(Be),t(Js),t(Ws),t(Fe),t(Ks),t(He),t(Xs),t(Ue),t(Ys),t(eo),t(Je),t(to),t(We),t(no),t(Ke),t(ao),t(Xe),t(io),t(ro),t(Ye),t(go),t(et),t(so),t(tt),t(oo),t(nt),t(lo),t(uo),t(at),t(mo),t(it),t(po),t(rt),t(co),t(gt),t(fo),t(ho),t(st),t(bo),t(ot),t(_o),t(lt),t($o),t(ut),t(vo),t(Qr)),t(v),f(mt,e),f(ft,e),f(ht),f(dt),f(bt),f(_t,e),f($t),f(vt),f(xt,e),f(Ct),f(yt),f(It),f(wt),f(Tt),f(Dt,e),f(At),f(Pt),f(Et),f(Vt),f(St),f(zt),f(jt),f(qt),f(Qt,e),f(Zt),f(Mt),f(Rt,e),f(Bt),f(Ft),f(Ht),f(Ut),f(Jt,e),f(Wt),f(Kt,e),f(Xt),f(Yt),f(en),f(tn,e),f(nn),f(an),f(rn),f(gn,e),f(sn),f(on),f(ln),f(un,e),f(mn),f(pn),f(cn),f(fn),f(hn,e),f(dn),f(bn),f(_n),f($n),f(vn,e),f(xn),f(Cn),f(yn),f(In),f(On,e),f(wn),f(Tn),f(Dn),f(An),f(Nn,e),f(Pn),f(kn),f(Vn,e),f(Ln),f(Sn),f(zn),f(Gn,e),f(jn),f(qn),f(Qn),f(Zn,e),f(Mn),f(Rn),f(Bn),f(Fn,e),f(Hn),f(Un),f(Jn),f(Wn,e),f(Kn),f(Xn),f(Yn),f(ta),f(na),f(aa),f(ra),f(ga),f(sa),f(oa,e),f(la),f(ua),f(ma),f(pa),f(ca,e),f(fa),f(ha),f(da),f(ba),f(_a,e),f($a),f(va),f(xa),f(Ca,e),f(ya),f(Ia),f(Oa),f(wa,e),f(Ta),f(Da),f(Aa),f(Na,e),f(Pa),f(Ea),f(ka),f(Va),f(La,e),f(Sa),f(za),f(Ga),f(ja),f(qa,e),f(Qa),f(Za),f(Ma),f(Ra),f(Ba,e),f(Fa),f(Ha),f(Ua),f(Ja)}}}const mf='{"title":"Inference types","local":"inference-types","sections":[{"title":"audio_classification","local":"huggingface_hub.AudioClassificationInput","sections":[],"depth":2},{"title":"audio_to_audio","local":"huggingface_hub.AudioToAudioInput","sections":[],"depth":2},{"title":"automatic_speech_recognition","local":"huggingface_hub.AutomaticSpeechRecognitionGenerationParameters","sections":[],"depth":2},{"title":"chat_completion","local":"huggingface_hub.ChatCompletionInput","sections":[],"depth":2},{"title":"depth_estimation","local":"huggingface_hub.DepthEstimationInput","sections":[],"depth":2},{"title":"document_question_answering","local":"huggingface_hub.DocumentQuestionAnsweringInput","sections":[],"depth":2},{"title":"feature_extraction","local":"huggingface_hub.FeatureExtractionInput","sections":[],"depth":2},{"title":"fill_mask","local":"huggingface_hub.FillMaskInput","sections":[],"depth":2},{"title":"image_classification","local":"huggingface_hub.ImageClassificationInput","sections":[],"depth":2},{"title":"image_segmentation","local":"huggingface_hub.ImageSegmentationInput","sections":[],"depth":2},{"title":"image_to_image","local":"huggingface_hub.ImageToImageInput","sections":[],"depth":2},{"title":"image_to_text","local":"huggingface_hub.ImageToTextGenerationParameters","sections":[],"depth":2},{"title":"object_detection","local":"huggingface_hub.ObjectDetectionBoundingBox","sections":[],"depth":2},{"title":"question_answering","local":"huggingface_hub.QuestionAnsweringInput","sections":[],"depth":2},{"title":"sentence_similarity","local":"huggingface_hub.SentenceSimilarityInput","sections":[],"depth":2},{"title":"summarization","local":"huggingface_hub.SummarizationGenerationParameters","sections":[],"depth":2},{"title":"table_question_answering","local":"huggingface_hub.TableQuestionAnsweringInput","sections":[],"depth":2},{"title":"text2text_generation","local":"huggingface_hub.Text2TextGenerationInput","sections":[],"depth":2},{"title":"text_classification","local":"huggingface_hub.TextClassificationInput","sections":[],"depth":2},{"title":"text_generation","local":"huggingface_hub.TextGenerationInput","sections":[],"depth":2},{"title":"text_to_audio","local":"huggingface_hub.TextToAudioGenerationParameters","sections":[],"depth":2},{"title":"text_to_image","local":"huggingface_hub.TextToImageInput","sections":[],"depth":2},{"title":"token_classification","local":"huggingface_hub.TokenClassificationInput","sections":[],"depth":2},{"title":"translation","local":"huggingface_hub.TranslationGenerationParameters","sections":[],"depth":2},{"title":"video_classification","local":"huggingface_hub.VideoClassificationInput","sections":[],"depth":2},{"title":"visual_question_answering","local":"huggingface_hub.VisualQuestionAnsweringInput","sections":[],"depth":2},{"title":"zero_shot_classification","local":"huggingface_hub.ZeroShotClassificationInput","sections":[],"depth":2},{"title":"zero_shot_image_classification","local":"huggingface_hub.ZeroShotImageClassificationInput","sections":[],"depth":2},{"title":"zero_shot_object_detection","local":"huggingface_hub.ZeroShotObjectDetectionBoundingBox","sections":[],"depth":2}],"depth":1}';function pf(np){return gf(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class bf extends sf{constructor(v){super(),of(this,v,pf,uf,af,{})}}export{bf as component};
